import{S as Jg,i as Qg,s as Zg,e as o,k as p,w as b,t as l,M as eu,c as r,d as a,m,a as n,x as v,h as i,b as D,G as e,g as $,y as w,q as x,o as E,B as y,v as tu,L as j}from"../../chunks/vendor-hf-doc-builder.js";import{D as T}from"../../chunks/Docstring-hf-doc-builder.js";import{C as I}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as qs}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as S}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function au(k){let c,h,g,d,u;return d=new I({props:{code:`from datasets import load_dataset_builder
builder = load_dataset_builder('rotten_tomatoes')
ds = builder.download_and_prepare()
ds = builder.as_dataset(split='train')
ds`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset_builder
<span class="hljs-meta">&gt;&gt;&gt; </span>builder = load_dataset_builder(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = builder.download_and_prepare()
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = builder.as_dataset(split=<span class="hljs-string">&#x27;train&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds
Dataset({
    features: [<span class="hljs-string">&#x27;text&#x27;</span>, <span class="hljs-string">&#x27;label&#x27;</span>],
    num_rows: <span class="hljs-number">8530</span>
})`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function su(k){let c,h,g,d,u,t,f,ie;return f=new I({props:{code:`from datasets import load_dataset_builder
builder = load_dataset_builder("rotten_tomatoes")
ds = builder.download_and_prepare()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset_builder
<span class="hljs-meta">&gt;&gt;&gt; </span>builder = load_dataset_builder(<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = builder.download_and_prepare()`}}),{c(){c=o("p"),h=l("Download and prepare the dataset as Arrow files that can be loaded as a Dataset using "),g=o("code"),d=l("builder.as_dataset()"),u=l(":"),t=p(),b(f.$$.fragment)},l(O){c=r(O,"P",{});var K=n(c);h=i(K,"Download and prepare the dataset as Arrow files that can be loaded as a Dataset using "),g=r(K,"CODE",{});var Y=n(g);d=i(Y,"builder.as_dataset()"),Y.forEach(a),u=i(K,":"),K.forEach(a),t=m(O),v(f.$$.fragment,O)},m(O,K){$(O,c,K),e(c,h),e(c,g),e(g,d),e(c,u),$(O,t,K),w(f,O,K),ie=!0},p:j,i(O){ie||(x(f.$$.fragment,O),ie=!0)},o(O){E(f.$$.fragment,O),ie=!1},d(O){O&&a(c),O&&a(t),y(f,O)}}}function ou(k){let c,h,g,d,u;return d=new I({props:{code:`from datasets import load_dataset_builder
builder = load_dataset_builder("rotten_tomatoes")
ds = builder.download_and_prepare("./output_dir", file_format="parquet")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset_builder
<span class="hljs-meta">&gt;&gt;&gt; </span>builder = load_dataset_builder(<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = builder.download_and_prepare(<span class="hljs-string">&quot;./output_dir&quot;</span>, file_format=<span class="hljs-string">&quot;parquet&quot;</span>)`}}),{c(){c=o("p"),h=l("Download and prepare the dataset as sharded Parquet files locally:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Download and prepare the dataset as sharded Parquet files locally:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function ru(k){let c,h,g,d,u;return d=new I({props:{code:`from datasets import load_dataset_builder
storage_options = {"key": aws_access_key_id, "secret": aws_secret_access_key}
builder = load_dataset_builder("rotten_tomatoes")
ds = builder.download_and_prepare("s3://my-bucket/my_rotten_tomatoes", storage_options=storage_options, file_format="parquet")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset_builder
<span class="hljs-meta">&gt;&gt;&gt; </span>storage_options = {<span class="hljs-string">&quot;key&quot;</span>: aws_access_key_id, <span class="hljs-string">&quot;secret&quot;</span>: aws_secret_access_key}
<span class="hljs-meta">&gt;&gt;&gt; </span>builder = load_dataset_builder(<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = builder.download_and_prepare(<span class="hljs-string">&quot;s3://my-bucket/my_rotten_tomatoes&quot;</span>, storage_options=storage_options, file_format=<span class="hljs-string">&quot;parquet&quot;</span>)`}}),{c(){c=o("p"),h=l("Download and prepare the dataset as sharded Parquet files in a cloud storage:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Download and prepare the dataset as sharded Parquet files in a cloud storage:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function nu(k){let c,h,g,d,u;return d=new I({props:{code:`from datasets import load_dataset_builder
ds_builder = load_dataset_builder('rotten_tomatoes')
ds_builder.get_all_exported_dataset_infos()
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset_builder
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder = load_dataset_builder(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder.get_all_exported_dataset_infos()
{<span class="hljs-string">&#x27;default&#x27;</span>: DatasetInfo(description=<span class="hljs-string">&quot;Movie Review Dataset.
a dataset of containing 5,331 positive and 5,331 negative processed
s from Rotten Tomatoes movie reviews. This data was first used in Bo
 Lillian Lee, \`\`Seeing stars: Exploiting class relationships for
t categorization with respect to rating scales.&#x27;&#x27;, Proceedings of the
5.
ion=&#x27;@InProceedings{Pang+Lee:05a,
 =       {Bo Pang and Lillian Lee},
=        {Seeing stars: Exploiting class relationships for sentiment
          categorization with respect to rating scales},
tle =    {Proceedings of the ACL},
         2005

age=&#x27;http://www.cs.cornell.edu/people/pabo/movie-review-data/&#x27;, license=&#x27;&#x27;, features={&#x27;text&#x27;: Value(dtype=&#x27;string&#x27;, id=None), &#x27;label&#x27;: ClassLabel(num_classes=2, names=[&#x27;neg&#x27;, &#x27;pos&#x27;], id=None)}, post_processed=None, supervised_keys=SupervisedKeysData(input=&#x27;&#x27;, output=&#x27;&#x27;), task_templates=[TextClassification(task=&#x27;text-classification&#x27;, text_column=&#x27;text&#x27;, label_column=&#x27;label&#x27;)], builder_name=&#x27;rotten_tomatoes_movie_review&#x27;, config_name=&#x27;default&#x27;, version=1.0.0, splits={&#x27;train&#x27;: SplitInfo(name=&#x27;train&#x27;, num_bytes=1074810, num_examples=8530, dataset_name=&#x27;rotten_tomatoes_movie_review&#x27;), &#x27;validation&#x27;: SplitInfo(name=&#x27;validation&#x27;, num_bytes=134679, num_examples=1066, dataset_name=&#x27;rotten_tomatoes_movie_review&#x27;), &#x27;test&#x27;: SplitInfo(name=&#x27;test&#x27;, num_bytes=135972, num_examples=1066, dataset_name=&#x27;rotten_tomatoes_movie_review&#x27;)}, download_checksums={&#x27;https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz&#x27;: {&#x27;num_bytes&#x27;: 487770, &#x27;checksum&#x27;: &#x27;a05befe52aafda71d458d188a1c54506a998b1308613ba76bbda2e5029409ce9&#x27;}}, download_size=487770, post_processing_size=None, dataset_size=1345461, size_in_bytes=1833231)}</span>`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function du(k){let c,h,g,d,u;return d=new I({props:{code:`from datasets import load_dataset_builder
ds_builder = load_dataset_builder('rotten_tomatoes')
ds_builder.get_exported_dataset_info()
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset_builder
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder = load_dataset_builder(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder.get_exported_dataset_info()
DatasetInfo(description=<span class="hljs-string">&quot;Movie Review Dataset.
a dataset of containing 5,331 positive and 5,331 negative processed
s from Rotten Tomatoes movie reviews. This data was first used in Bo
 Lillian Lee, \`\`Seeing stars: Exploiting class relationships for
t categorization with respect to rating scales.&#x27;&#x27;, Proceedings of the
5.
ion=&#x27;@InProceedings{Pang+Lee:05a,
 =       {Bo Pang and Lillian Lee},
=        {Seeing stars: Exploiting class relationships for sentiment
          categorization with respect to rating scales},
tle =    {Proceedings of the ACL},
         2005

age=&#x27;http://www.cs.cornell.edu/people/pabo/movie-review-data/&#x27;, license=&#x27;&#x27;, features={&#x27;text&#x27;: Value(dtype=&#x27;string&#x27;, id=None), &#x27;label&#x27;: ClassLabel(num_classes=2, names=[&#x27;neg&#x27;, &#x27;pos&#x27;], id=None)}, post_processed=None, supervised_keys=SupervisedKeysData(input=&#x27;&#x27;, output=&#x27;&#x27;), task_templates=[TextClassification(task=&#x27;text-classification&#x27;, text_column=&#x27;text&#x27;, label_column=&#x27;label&#x27;)], builder_name=&#x27;rotten_tomatoes_movie_review&#x27;, config_name=&#x27;default&#x27;, version=1.0.0, splits={&#x27;train&#x27;: SplitInfo(name=&#x27;train&#x27;, num_bytes=1074810, num_examples=8530, dataset_name=&#x27;rotten_tomatoes_movie_review&#x27;), &#x27;validation&#x27;: SplitInfo(name=&#x27;validation&#x27;, num_bytes=134679, num_examples=1066, dataset_name=&#x27;rotten_tomatoes_movie_review&#x27;), &#x27;test&#x27;: SplitInfo(name=&#x27;test&#x27;, num_bytes=135972, num_examples=1066, dataset_name=&#x27;rotten_tomatoes_movie_review&#x27;)}, download_checksums={&#x27;https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz&#x27;: {&#x27;num_bytes&#x27;: 487770, &#x27;checksum&#x27;: &#x27;a05befe52aafda71d458d188a1c54506a998b1308613ba76bbda2e5029409ce9&#x27;}}, download_size=487770, post_processing_size=None, dataset_size=1345461, size_in_bytes=1833231)</span>`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function lu(k){let c,h,g,d,u;return d=new I({props:{code:"downloaded_files = dl_manager.download('https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz')",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>downloaded_files = dl_manager.download(<span class="hljs-string">&#x27;https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz&#x27;</span>)'}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function iu(k){let c,h,g,d,u;return d=new I({props:{code:"extracted_paths = dl_manager.extract(dl_manager.download(url_or_urls))",highlighted:'<span class="hljs-attr">extracted_paths</span> = dl_manager.extract(dl_manager.download(url_or_urls))'}}),{c(){c=o("p"),h=l("Is roughly equivalent to:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Is roughly equivalent to:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function cu(k){let c,h,g,d,u;return d=new I({props:{code:"downloaded_files = dl_manager.download_custom('s3://my-bucket/data.zip', custom_download_for_my_private_bucket)",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>downloaded_files = dl_manager.download_custom(<span class="hljs-string">&#x27;s3://my-bucket/data.zip&#x27;</span>, custom_download_for_my_private_bucket)'}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function pu(k){let c,h,g,d,u;return d=new I({props:{code:`downloaded_files = dl_manager.download('https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz')
extracted_files = dl_manager.extract(downloaded_files)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>downloaded_files = dl_manager.download(<span class="hljs-string">&#x27;https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>extracted_files = dl_manager.extract(downloaded_files)`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function mu(k){let c,h,g,d,u;return d=new I({props:{code:`archive = dl_manager.download('https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz')
files = dl_manager.iter_archive(archive)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>archive = dl_manager.download(<span class="hljs-string">&#x27;https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>files = dl_manager.iter_archive(archive)`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function fu(k){let c,h,g,d,u;return d=new I({props:{code:`files = dl_manager.download_and_extract('https://huggingface.co/datasets/beans/resolve/main/data/train.zip')
files = dl_manager.iter_files(files)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>files = dl_manager.download_and_extract(<span class="hljs-string">&#x27;https://huggingface.co/datasets/beans/resolve/main/data/train.zip&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>files = dl_manager.iter_files(files)`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function gu(k){let c,h,g,d,u;return d=new I({props:{code:"downloaded_files = dl_manager.download('https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz')",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>downloaded_files = dl_manager.download(<span class="hljs-string">&#x27;https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz&#x27;</span>)'}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function uu(k){let c,h,g,d,u;return d=new I({props:{code:"urls = dl_manager.extract(dl_manager.download(url_or_urls))",highlighted:'<span class="hljs-attribute">urls</span> <span class="hljs-operator">=</span> dl_manager.extract(dl_manager.download(url_or_urls))'}}),{c(){c=o("p"),h=l("Is equivalent to:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Is equivalent to:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function hu(k){let c,h,g,d,u;return d=new I({props:{code:`downloaded_files = dl_manager.download('https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz')
extracted_files = dl_manager.extract(downloaded_files)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>downloaded_files = dl_manager.download(<span class="hljs-string">&#x27;https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>extracted_files = dl_manager.extract(downloaded_files)`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function _u(k){let c,h,g,d,u;return d=new I({props:{code:`archive = dl_manager.download('https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz')
files = dl_manager.iter_archive(archive)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>archive = dl_manager.download(<span class="hljs-string">&#x27;https://storage.googleapis.com/seldon-datasets/sentence_polarity_v1/rt-polaritydata.tar.gz&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>files = dl_manager.iter_archive(archive)`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function $u(k){let c,h,g,d,u;return d=new I({props:{code:`files = dl_manager.download_and_extract('https://huggingface.co/datasets/beans/resolve/main/data/train.zip')
files = dl_manager.iter_files(files)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>files = dl_manager.download_and_extract(<span class="hljs-string">&#x27;https://huggingface.co/datasets/beans/resolve/main/data/train.zip&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>files = dl_manager.iter_files(files)`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function bu(k){let c,h,g,d,u;return d=new I({props:{code:`datasets.SplitGenerator(
    name=datasets.Split.TRAIN,
    gen_kwargs={"split_key": "train", "files": dl_manager.download_and_extract(url)},
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>datasets.SplitGenerator(
<span class="hljs-meta">... </span>    name=datasets.Split.TRAIN,
<span class="hljs-meta">... </span>    gen_kwargs={<span class="hljs-string">&quot;split_key&quot;</span>: <span class="hljs-string">&quot;train&quot;</span>, <span class="hljs-string">&quot;files&quot;</span>: dl_manager.download_and_extract(url)},
<span class="hljs-meta">... </span>)`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function vu(k){let c,h,g,d,u;return d=new I({props:{code:`datasets.SplitGenerator(
    name=datasets.Split.TRAIN,
    gen_kwargs={"split_key": "train", "files": dl_manager.download_and extract(url)},
),
datasets.SplitGenerator(
    name=datasets.Split.VALIDATION,
    gen_kwargs={"split_key": "validation", "files": dl_manager.download_and extract(url)},
),
datasets.SplitGenerator(
    name=datasets.Split.TEST,
    gen_kwargs={"split_key": "test", "files": dl_manager.download_and extract(url)},
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>datasets.SplitGenerator(
<span class="hljs-meta">... </span>    name=datasets.Split.TRAIN,
<span class="hljs-meta">... </span>    gen_kwargs={<span class="hljs-string">&quot;split_key&quot;</span>: <span class="hljs-string">&quot;train&quot;</span>, <span class="hljs-string">&quot;files&quot;</span>: dl_manager.download_and extract(url)},
<span class="hljs-meta">... </span>),
<span class="hljs-meta">... </span>datasets.SplitGenerator(
<span class="hljs-meta">... </span>    name=datasets.Split.VALIDATION,
<span class="hljs-meta">... </span>    gen_kwargs={<span class="hljs-string">&quot;split_key&quot;</span>: <span class="hljs-string">&quot;validation&quot;</span>, <span class="hljs-string">&quot;files&quot;</span>: dl_manager.download_and extract(url)},
<span class="hljs-meta">... </span>),
<span class="hljs-meta">... </span>datasets.SplitGenerator(
<span class="hljs-meta">... </span>    name=datasets.Split.TEST,
<span class="hljs-meta">... </span>    gen_kwargs={<span class="hljs-string">&quot;split_key&quot;</span>: <span class="hljs-string">&quot;test&quot;</span>, <span class="hljs-string">&quot;files&quot;</span>: dl_manager.download_and extract(url)},
<span class="hljs-meta">... </span>)`}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function wu(k){let c,h,g,d,u;return d=new I({props:{code:"split = datasets.Split.TRAIN.subsplit(datasets.percent[0:25]) + datasets.Split.TEST",highlighted:'split = datasets.Split.TRAIN.subsplit(datasets.percent[<span class="hljs-number">0</span>:<span class="hljs-number">25</span>]) + datasets.Split.TEST'}}),{c(){c=o("p"),h=l("Each descriptor can be composed with other using addition or slice:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Each descriptor can be composed with other using addition or slice:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function xu(k){let c,h,g,d,u;return d=new I({props:{code:`split = (
        datasets.Split.TRAIN.subsplit(datasets.percent[:25]) +
        datasets.Split.TRAIN.subsplit(datasets.percent[75:])
)  # Error
split = datasets.Split.TEST + datasets.Split.ALL  # Error`,highlighted:`split = (
        datasets.Split.TRAIN.subsplit(datasets.percent[:<span class="hljs-number">25</span>]) +
        datasets.Split.TRAIN.subsplit(datasets.percent[<span class="hljs-number">75</span>:])
)  <span class="hljs-comment"># Error</span>
split = datasets.Split.TEST + datasets.Split.ALL  <span class="hljs-comment"># Error</span>`}}),{c(){c=o("p"),h=l("A split cannot be added twice, so the following will fail:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"A split cannot be added twice, so the following will fail:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function Eu(k){let c,h,g,d,u;return d=new I({props:{code:`split = (
        datasets.Split.TRAIN.subsplit(datasets.percent[:25]) +
        datasets.Split.TEST.subsplit(datasets.percent[:50])
)
split = (datasets.Split.TRAIN + datasets.Split.TEST).subsplit(datasets.percent[:50])`,highlighted:`split = (
        datasets.Split.TRAIN.subsplit(datasets.percent[:<span class="hljs-number">25</span>]) +
        datasets.Split.TEST.subsplit(datasets.percent[:<span class="hljs-number">50</span>])
)
split = (datasets.Split.TRAIN + datasets.Split.TEST).subsplit(datasets.percent[:<span class="hljs-number">50</span>])`}}),{c(){c=o("p"),h=l("The slices can be applied only one time. So the following are valid:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"The slices can be applied only one time. So the following are valid:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function yu(k){let c,h,g,d,u;return d=new I({props:{code:`train = datasets.Split.TRAIN
test = datasets.Split.TEST
split = train.subsplit(datasets.percent[:25]).subsplit(datasets.percent[:25])
split = (train.subsplit(datasets.percent[:25]) + test).subsplit(datasets.percent[:50])`,highlighted:`train = datasets.Split.TRAIN
test = datasets.Split.TEST
split = train.subsplit(datasets.percent[:<span class="hljs-number">25</span>]).subsplit(datasets.percent[:<span class="hljs-number">25</span>])
split = (train.subsplit(datasets.percent[:<span class="hljs-number">25</span>]) + test).subsplit(datasets.percent[:<span class="hljs-number">50</span>])`}}),{c(){c=o("p"),h=l("But this is not valid:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"But this is not valid:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function Du(k){let c,h,g,d,u;return d=new I({props:{code:`# The following lines are equivalent:
ds = datasets.load_dataset('mnist', split='test[:33%]')
ds = datasets.load_dataset('mnist', split=datasets.ReadInstruction.from_spec('test[:33%]'))
ds = datasets.load_dataset('mnist', split=datasets.ReadInstruction('test', to=33, unit='%'))
ds = datasets.load_dataset('mnist', split=datasets.ReadInstruction(
'test', from_=0, to=33, unit='%'))

# The following lines are equivalent:
ds = datasets.load_dataset('mnist', split='test[:33%]+train[1:-1]')
ds = datasets.load_dataset('mnist', split=datasets.ReadInstruction.from_spec(
'test[:33%]+train[1:-1]'))
ds = datasets.load_dataset('mnist', split=(
datasets.ReadInstruction('test', to=33, unit='%') +
datasets.ReadInstruction('train', from_=1, to=-1, unit='abs')))

# The following lines are equivalent:
ds = datasets.load_dataset('mnist', split='test[:33%](pct1_dropremainder)')
ds = datasets.load_dataset('mnist', split=datasets.ReadInstruction.from_spec(
'test[:33%](pct1_dropremainder)'))
ds = datasets.load_dataset('mnist', split=datasets.ReadInstruction(
'test', from_=0, to=33, unit='%', rounding="pct1_dropremainder"))

# 10-fold validation:
tests = datasets.load_dataset(
'mnist',
[datasets.ReadInstruction('train', from_=k, to=k+10, unit='%')
for k in range(0, 100, 10)])
trains = datasets.load_dataset(
'mnist',
[datasets.ReadInstruction('train', to=k, unit='%') + datasets.ReadInstruction('train', from_=k+10, unit='%')
for k in range(0, 100, 10)])`,highlighted:`<span class="hljs-comment"># The following lines are equivalent:</span>
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=<span class="hljs-string">&#x27;test[:33%]&#x27;</span>)
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=datasets.ReadInstruction.from_spec(<span class="hljs-string">&#x27;test[:33%]&#x27;</span>))
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=datasets.ReadInstruction(<span class="hljs-string">&#x27;test&#x27;</span>, to=<span class="hljs-number">33</span>, unit=<span class="hljs-string">&#x27;%&#x27;</span>))
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=datasets.ReadInstruction(
<span class="hljs-string">&#x27;test&#x27;</span>, from_=<span class="hljs-number">0</span>, to=<span class="hljs-number">33</span>, unit=<span class="hljs-string">&#x27;%&#x27;</span>))

<span class="hljs-comment"># The following lines are equivalent:</span>
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=<span class="hljs-string">&#x27;test[:33%]+train[1:-1]&#x27;</span>)
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=datasets.ReadInstruction.from_spec(
<span class="hljs-string">&#x27;test[:33%]+train[1:-1]&#x27;</span>))
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=(
datasets.ReadInstruction(<span class="hljs-string">&#x27;test&#x27;</span>, to=<span class="hljs-number">33</span>, unit=<span class="hljs-string">&#x27;%&#x27;</span>) +
datasets.ReadInstruction(<span class="hljs-string">&#x27;train&#x27;</span>, from_=<span class="hljs-number">1</span>, to=-<span class="hljs-number">1</span>, unit=<span class="hljs-string">&#x27;abs&#x27;</span>)))

<span class="hljs-comment"># The following lines are equivalent:</span>
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=<span class="hljs-string">&#x27;test[:33%](pct1_dropremainder)&#x27;</span>)
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=datasets.ReadInstruction.from_spec(
<span class="hljs-string">&#x27;test[:33%](pct1_dropremainder)&#x27;</span>))
ds = datasets.load_dataset(<span class="hljs-string">&#x27;mnist&#x27;</span>, split=datasets.ReadInstruction(
<span class="hljs-string">&#x27;test&#x27;</span>, from_=<span class="hljs-number">0</span>, to=<span class="hljs-number">33</span>, unit=<span class="hljs-string">&#x27;%&#x27;</span>, rounding=<span class="hljs-string">&quot;pct1_dropremainder&quot;</span>))

<span class="hljs-comment"># 10-fold validation:</span>
tests = datasets.load_dataset(
<span class="hljs-string">&#x27;mnist&#x27;</span>,
[datasets.ReadInstruction(<span class="hljs-string">&#x27;train&#x27;</span>, from_=k, to=k+<span class="hljs-number">10</span>, unit=<span class="hljs-string">&#x27;%&#x27;</span>)
<span class="hljs-keyword">for</span> k <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-number">100</span>, <span class="hljs-number">10</span>)])
trains = datasets.load_dataset(
<span class="hljs-string">&#x27;mnist&#x27;</span>,
[datasets.ReadInstruction(<span class="hljs-string">&#x27;train&#x27;</span>, to=k, unit=<span class="hljs-string">&#x27;%&#x27;</span>) + datasets.ReadInstruction(<span class="hljs-string">&#x27;train&#x27;</span>, from_=k+<span class="hljs-number">10</span>, unit=<span class="hljs-string">&#x27;%&#x27;</span>)
<span class="hljs-keyword">for</span> k <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-number">100</span>, <span class="hljs-number">10</span>)])`}}),{c(){c=o("p"),h=l("Examples:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Examples:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function ku(k){let c,h,g,d,u;return d=new I({props:{code:`test: test split.
test + validation: test split + validation split.
test[10:]: test split, minus its first 10 records.
test[:10%]: first 10% records of test split.
test[:20%](pct1_dropremainder): first 10% records, rounded with the pct1_dropremainder rounding.
test[:-5%]+train[40%:60%]: first 95% of test + middle 20% of train.`,highlighted:`<span class="hljs-keyword">test: test</span> split.
<span class="hljs-keyword">test </span>+ validation: test split + validation split.
test[10:]: test split, minus its first 10 records.
test[:10%]: first 10% records of test split.
test[:20%](pct1_dropremainder): first 10% records, rounded with the pct1_dropremainder rounding.
test[:<span class="hljs-string">-5</span>%]+train[40%:60%]: first 95% of test + middle 20% of train.`}}),{c(){c=o("p"),h=l("Examples:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Examples:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function Tu(k){let c,h,g,d,u;return d=new I({props:{code:'VERSION = datasets.Version("1.0.0")',highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>VERSION = datasets.Version(<span class="hljs-string">&quot;1.0.0&quot;</span>)'}}),{c(){c=o("p"),h=l("Example:"),g=p(),b(d.$$.fragment)},l(t){c=r(t,"P",{});var f=n(c);h=i(f,"Example:"),f.forEach(a),g=m(t),v(d.$$.fragment,t)},m(t,f){$(t,c,f),e(c,h),$(t,g,f),w(d,t,f),u=!0},p:j,i(t){u||(x(d.$$.fragment,t),u=!0)},o(t){E(d.$$.fragment,t),u=!1},d(t){t&&a(c),t&&a(g),y(d,t)}}}function Su(k){let c,h,g,d,u,t,f,ie,O,K,Y,Ge,Ms,Rt,dd,Vs,ld,an,ce,id,Xa,cd,pd,Ya,md,fd,sn,B,At,gd,zs,ud,hd,Ja,Us,_d,$d,bd,Se,Qa,Fs,vd,wd,xd,Za,es,Ed,yd,Dd,Ke,ts,kd,Td,as,Sd,jd,Id,se,Bd,Hs,Nd,Cd,ss,Pd,Od,Gs,Rd,Ad,Ld,pe,Lt,qd,Ks,Md,Vd,We,zd,L,qt,Ud,Ws,Fd,Hd,Xs,Gd,Kd,Xe,Wd,Ye,Xd,Je,Yd,me,Mt,Jd,Ys,Qd,Zd,Qe,el,fe,Vt,tl,zt,al,Js,sl,ol,rl,Ze,nl,et,Ut,dl,Qs,ll,on,oe,Ft,il,Zs,cl,pl,ge,eo,ml,fl,to,gl,ul,ao,hl,_l,rn,je,Ht,$l,so,bl,nn,Ie,Gt,vl,oo,wl,dn,W,Kt,xl,Wt,El,ro,yl,Dl,kl,tt,no,Tl,Sl,lo,jl,Il,Bl,J,Xt,Nl,io,Cl,Pl,Be,co,Ol,Rl,po,Al,Ll,mo,ql,Ml,fo,Vl,ln,Ne,at,go,Yt,zl,uo,Ul,cn,C,Jt,Fl,Q,Qt,Hl,ho,Gl,Kl,Zt,Wl,_o,Xl,Yl,Jl,st,Ql,ue,ea,Zl,ta,ei,$o,ti,ai,si,ot,oi,he,aa,ri,sa,ni,bo,di,li,ii,rt,ci,_e,oa,pi,vo,mi,fi,nt,gi,$e,ra,ui,wo,hi,_i,dt,$i,be,na,bi,xo,vi,wi,lt,xi,it,da,Ei,Eo,yi,pn,R,la,Di,V,ki,yo,Ti,Si,Do,ji,Ii,ko,Bi,Ni,To,Ci,Pi,So,Oi,Ri,Ai,ve,ia,Li,ca,qi,jo,Mi,Vi,zi,ct,Ui,Z,pa,Fi,ma,Hi,Io,Gi,Ki,Wi,fa,Xi,Bo,Yi,Ji,Qi,pt,Zi,ee,ga,ec,No,tc,ac,ua,sc,Co,oc,rc,nc,mt,dc,we,ha,lc,Po,ic,cc,ft,pc,xe,_a,mc,Oo,fc,gc,gt,mn,Ce,$a,uc,Ro,hc,fn,z,ba,_c,os,Ao,$c,bc,vc,va,wc,Lo,xc,Ec,yc,qo,Dc,kc,wa,Mo,Pe,gn,Tc,Vo,Sc,jc,zo,Ic,Bc,Oe,Re,rs,Uo,Nc,Cc,Pc,Fo,Oc,Rc,Ho,Ac,Lc,Ae,Go,Ko,qc,Mc,Wo,Vc,zc,Xo,Uc,Fc,Le,Yo,Jo,Hc,Gc,Qo,Kc,Wc,Zo,Xc,un,qe,ut,er,xa,Yc,tr,Jc,hn,U,Ea,Qc,ns,ar,Zc,ep,tp,ya,ap,sr,sp,op,rp,or,np,dp,Da,rr,ka,_n,lp,nr,ip,cp,re,Ta,dr,lr,pp,mp,ir,fp,gp,Sa,$n,up,cr,hp,_p,ja,ds,pr,$p,bp,vp,Ia,wp,mr,xp,Ep,yp,Ba,fr,gr,Dp,kp,ur,Tp,bn,Me,ht,hr,Na,Sp,_r,jp,vn,X,Ca,Ip,$r,Bp,Np,Ve,Cp,br,Pp,Op,vr,Rp,Ap,Lp,_t,wn,A,Pa,qp,ls,wr,Mp,Vp,zp,xr,Up,Fp,ne,is,Er,Hp,Gp,Kp,cs,yr,Wp,Xp,Yp,ps,Dr,Jp,Qp,Zp,ms,kr,em,tm,am,Oa,sm,Tr,om,rm,nm,Ra,dm,fs,lm,im,cm,$t,xn,P,Aa,pm,Sr,mm,fm,jr,gm,um,bt,hm,Ir,_m,$m,vt,bm,wt,vm,xt,En,ze,La,wm,Br,xm,yn,F,qa,Em,Nr,ym,Dm,Et,km,Ee,Ma,Tm,Va,Sm,Cr,jm,Im,Bm,yt,Nm,ye,za,Cm,Pr,Pm,Om,Or,Rm,Dn,Ue,Dt,Rr,Ua,Am,Ar,Lm,kn,de,Fa,qm,Ha,Mm,Lr,Vm,zm,Um,kt,Tn;return t=new qs({}),Rt=new qs({}),At=new T({props:{name:"class datasets.DatasetBuilder",anchor:"datasets.DatasetBuilder",parameters:[{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"config_name",val:": typing.Optional[str] = None"},{name:"hash",val:": typing.Optional[str] = None"},{name:"base_path",val:": typing.Optional[str] = None"},{name:"info",val:": typing.Optional[datasets.info.DatasetInfo] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"use_auth_token",val:": typing.Union[bool, str, NoneType] = None"},{name:"repo_id",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, list, dict, datasets.data_files.DataFilesDict, NoneType] = None"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"storage_options",val:": typing.Optional[dict] = None"},{name:"writer_batch_size",val:": typing.Optional[int] = None"},{name:"name",val:" = 'deprecated'"},{name:"**config_kwargs",val:""}],parametersDescription:[{anchor:"datasets.DatasetBuilder.cache_dir",description:`<strong>cache_dir</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Directory to cache data. Defaults to <code>&quot;~/.cache/huggingface/datasets&quot;</code>.`,name:"cache_dir"},{anchor:"datasets.DatasetBuilder.config_name",description:`<strong>config_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the dataset configuration.
It affects the data generated on disk. Different configurations will have their own subdirectories and
versions.
If not provided, the default configuration is used (if it exists).</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.3.0</p>
						
<p>Parameter <code>name</code> was renamed to <code>config_name</code>.</p>

					</div>`,name:"config_name"},{anchor:"datasets.DatasetBuilder.hash",description:`<strong>hash</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Hash specific to the dataset code. Used to update the caching directory when the
dataset loading script code is updated (to avoid reusing old data).
The typical caching directory (defined in <code>self._relative_data_dir</code>) is <code>name/version/hash/</code>.`,name:"hash"},{anchor:"datasets.DatasetBuilder.base_path",description:`<strong>base_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Base path for relative paths that are used to download files.
This can be a remote URL.`,name:"base_path"},{anchor:"datasets.DatasetBuilder.features",description:`<strong>features</strong> (<a href="/docs/datasets/v2.11.0/en/package_reference/main_classes#datasets.Features">Features</a>, <em>optional</em>) &#x2014;
Features types to use with this dataset.
It can be used to change the <a href="/docs/datasets/v2.11.0/en/package_reference/main_classes#datasets.Features">Features</a> types of a dataset, for example.`,name:"features"},{anchor:"datasets.DatasetBuilder.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, <em>optional</em>) &#x2014;
String or boolean to use as Bearer token for remote files on the
Datasets Hub. If <code>True</code>, will get token from <code>&quot;~/.huggingface&quot;</code>.`,name:"use_auth_token"},{anchor:"datasets.DatasetBuilder.repo_id",description:`<strong>repo_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
ID of the dataset repository.
Used to distinguish builders with the same name but not coming from the same namespace, for example &#x201C;squad&#x201D;
and &#x201C;lhoestq/squad&#x201D; repo IDs. In the latter, the builder name would be &#x201C;lhoestq___squad&#x201D;.`,name:"repo_id"},{anchor:"datasets.DatasetBuilder.data_files",description:`<strong>data_files</strong> (<code>str</code> or <code>Sequence</code> or <code>Mapping</code>, <em>optional</em>) &#x2014;
Path(s) to source data file(s).
For builders like &#x201C;csv&#x201D; or &#x201C;json&#x201D; that need the user to specify data files. They can be either
local or remote files. For convenience, you can use a <code>DataFilesDict</code>.`,name:"data_files"},{anchor:"datasets.DatasetBuilder.data_dir",description:`<strong>data_dir</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Path to directory containing source data file(s).
Use only if <code>data_files</code> is not passed, in which case it is equivalent to passing
<code>os.path.join(data_dir, &quot;**&quot;)</code> as <code>data_files</code>.
For builders that require manual download, it must be the path to the local directory containing the
manually downloaded data.`,name:"data_dir"},{anchor:"datasets.DatasetBuilder.storage_options",description:`<strong>storage_options</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Key/value pairs to be passed on to the dataset file-system backend, if any.`,name:"storage_options"},{anchor:"datasets.DatasetBuilder.writer_batch_size",description:`<strong>writer_batch_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Batch size used by the ArrowWriter.
It defines the number of samples that are kept in memory before writing them
and also the length of the arrow chunks.
None means that the ArrowWriter will use its default value.`,name:"writer_batch_size"},{anchor:"datasets.DatasetBuilder.name",description:`<strong>name</strong> (<code>str</code>) &#x2014; Configuration name for the dataset.</p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						<p class="font-medium">Deprecated in 2.3.0</p>
						
<p>Use <code>config_name</code> instead.</p>

					</div>`,name:"name"},{anchor:"datasets.DatasetBuilder.*config_kwargs",description:`*<strong>*config_kwargs</strong> (additional keyword arguments) &#x2014; Keyword arguments to be passed to the corresponding builder
configuration class, set on the class attribute <a href="/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.BuilderConfig">DatasetBuilder.BUILDER_CONFIG_CLASS</a>. The builder
configuration class is <a href="/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a> or a subclass of it.`,name:"*config_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L197"}}),Lt=new T({props:{name:"as_dataset",anchor:"datasets.DatasetBuilder.as_dataset",parameters:[{name:"split",val:": typing.Optional[datasets.splits.Split] = None"},{name:"run_post_process",val:" = True"},{name:"verification_mode",val:": typing.Union[datasets.utils.info_utils.VerificationMode, str, NoneType] = None"},{name:"ignore_verifications",val:" = 'deprecated'"},{name:"in_memory",val:" = False"}],parametersDescription:[{anchor:"datasets.DatasetBuilder.as_dataset.split",description:`<strong>split</strong> (<code>datasets.Split</code>) &#x2014;
Which subset of the data to return.`,name:"split"},{anchor:"datasets.DatasetBuilder.as_dataset.run_post_process",description:`<strong>run_post_process</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to run post-processing dataset transforms and/or add
indexes.`,name:"run_post_process"},{anchor:"datasets.DatasetBuilder.as_dataset.verification_mode",description:`<strong>verification_mode</strong> (<a href="/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.VerificationMode">VerificationMode</a> or <code>str</code>, defaults to <code>BASIC_CHECKS</code>) &#x2014;
Verification mode determining the checks to run on the
downloaded/processed dataset information (checksums/size/splits/&#x2026;).</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.9.1</p>
						
					</div>`,name:"verification_mode"},{anchor:"datasets.DatasetBuilder.as_dataset.ignore_verifications",description:`<strong>ignore_verifications</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to ignore the verifications of the
downloaded/processed dataset information (checksums/size/splits/&#x2026;).</p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						<p class="font-medium">Deprecated in 2.9.1</p>
						
<p><code>ignore_verifications</code> was deprecated in version 2.9.1 and will be removed in 3.0.0.
Please use <code>verification_mode</code> instead.</p>

					</div>`,name:"ignore_verifications"},{anchor:"datasets.DatasetBuilder.as_dataset.in_memory",description:`<strong>in_memory</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to copy the data in-memory.`,name:"in_memory"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L1048",returnDescription:`
<p>datasets.Dataset</p>
`}}),We=new S({props:{anchor:"datasets.DatasetBuilder.as_dataset.example",$$slots:{default:[au]},$$scope:{ctx:k}}}),qt=new T({props:{name:"download_and_prepare",anchor:"datasets.DatasetBuilder.download_and_prepare",parameters:[{name:"output_dir",val:": typing.Optional[str] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Union[datasets.download.download_manager.DownloadMode, str, NoneType] = None"},{name:"verification_mode",val:": typing.Union[datasets.utils.info_utils.VerificationMode, str, NoneType] = None"},{name:"ignore_verifications",val:" = 'deprecated'"},{name:"try_from_hf_gcs",val:": bool = True"},{name:"dl_manager",val:": typing.Optional[datasets.download.download_manager.DownloadManager] = None"},{name:"base_path",val:": typing.Optional[str] = None"},{name:"use_auth_token",val:" = 'deprecated'"},{name:"file_format",val:": str = 'arrow'"},{name:"max_shard_size",val:": typing.Union[str, int, NoneType] = None"},{name:"num_proc",val:": typing.Optional[int] = None"},{name:"storage_options",val:": typing.Optional[dict] = None"},{name:"**download_and_prepare_kwargs",val:""}],parametersDescription:[{anchor:"datasets.DatasetBuilder.download_and_prepare.output_dir",description:`<strong>output_dir</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Output directory for the dataset.
Default to this builder&#x2019;s <code>cache_dir</code>, which is inside <code>~/.cache/huggingface/datasets</code> by default.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.5.0</p>
						
					</div>`,name:"output_dir"},{anchor:"datasets.DatasetBuilder.download_and_prepare.download_config",description:`<strong>download_config</strong> (<code>DownloadConfig</code>, <em>optional</em>) &#x2014;
Specific download configuration parameters.`,name:"download_config"},{anchor:"datasets.DatasetBuilder.download_and_prepare.download_mode",description:`<strong>download_mode</strong> (<a href="/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a> or <code>str</code>, <em>optional</em>) &#x2014;
Select the download/generate mode, default to <code>REUSE_DATASET_IF_EXISTS</code>.`,name:"download_mode"},{anchor:"datasets.DatasetBuilder.download_and_prepare.verification_mode",description:`<strong>verification_mode</strong> (<a href="/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.VerificationMode">VerificationMode</a> or <code>str</code>, defaults to <code>BASIC_CHECKS</code>) &#x2014;
Verification mode determining the checks to run on the downloaded/processed dataset information (checksums/size/splits/&#x2026;).</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.9.1</p>
						
					</div>`,name:"verification_mode"},{anchor:"datasets.DatasetBuilder.download_and_prepare.ignore_verifications",description:`<strong>ignore_verifications</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Ignore the verifications of the downloaded/processed dataset information (checksums/size/splits/&#x2026;).</p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						<p class="font-medium">Deprecated in 2.9.1</p>
						
<p><code>ignore_verifications</code> was deprecated in version 2.9.1 and will be removed in 3.0.0.
Please use <code>verification_mode</code> instead.</p>

					</div>`,name:"ignore_verifications"},{anchor:"datasets.DatasetBuilder.download_and_prepare.try_from_hf_gcs",description:`<strong>try_from_hf_gcs</strong> (<code>bool</code>) &#x2014;
If <code>True</code>, it will try to download the already prepared dataset from the HF Google cloud storage.`,name:"try_from_hf_gcs"},{anchor:"datasets.DatasetBuilder.download_and_prepare.dl_manager",description:`<strong>dl_manager</strong> (<code>DownloadManager</code>, <em>optional</em>) &#x2014;
Specific <code>DownloadManger</code> to use.`,name:"dl_manager"},{anchor:"datasets.DatasetBuilder.download_and_prepare.base_path",description:`<strong>base_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Base path for relative paths that are used to download files. This can be a remote url.
If not specified, the value of the <code>base_path</code> attribute (<code>self.base_path</code>) will be used instead.`,name:"base_path"},{anchor:"datasets.DatasetBuilder.download_and_prepare.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Union[str, bool]</code>, <em>optional</em>) &#x2014;
Optional string or boolean to use as Bearer token for remote files on the Datasets Hub.
If True, or not specified, will get token from ~/.huggingface.</p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						<p class="font-medium">Deprecated in 2.7.1</p>
						
<p>Pass <code>use_auth_token</code> to the initializer/<code>load_dataset_builder</code> instead.</p>

					</div>`,name:"use_auth_token"},{anchor:"datasets.DatasetBuilder.download_and_prepare.file_format",description:`<strong>file_format</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Format of the data files in which the dataset will be written.
Supported formats: &#x201C;arrow&#x201D;, &#x201C;parquet&#x201D;. Default to &#x201C;arrow&#x201D; format.
If the format is &#x201C;parquet&#x201D;, then image and audio data are embedded into the Parquet files instead of pointing to local files.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.5.0</p>
						
					</div>`,name:"file_format"},{anchor:"datasets.DatasetBuilder.download_and_prepare.max_shard_size",description:`<strong>max_shard_size</strong> (<code>Union[str, int]</code>, <em>optional</em>) &#x2014;
Maximum number of bytes written per shard, default is &#x201C;500MB&#x201D;.
The size is based on uncompressed data size, so in practice your shard files may be smaller than
<code>max_shard_size</code> thanks to Parquet compression for example.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.5.0</p>
						
					</div>`,name:"max_shard_size"},{anchor:"datasets.DatasetBuilder.download_and_prepare.num_proc",description:`<strong>num_proc</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Number of processes when downloading and generating the dataset locally.
Multiprocessing is disabled by default.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.7.0</p>
						
					</div>`,name:"num_proc"},{anchor:"datasets.DatasetBuilder.download_and_prepare.storage_options",description:`<strong>storage_options</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Key/value pairs to be passed on to the caching file-system backend, if any.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.5.0</p>
						
					</div>`,name:"storage_options"},{anchor:"datasets.DatasetBuilder.download_and_prepare.*download_and_prepare_kwargs",description:"*<strong>*download_and_prepare_kwargs</strong> (additional keyword arguments) &#x2014; Keyword arguments.",name:"*download_and_prepare_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L630"}}),Xe=new S({props:{anchor:"datasets.DatasetBuilder.download_and_prepare.example",$$slots:{default:[su]},$$scope:{ctx:k}}}),Ye=new S({props:{anchor:"datasets.DatasetBuilder.download_and_prepare.example-2",$$slots:{default:[ou]},$$scope:{ctx:k}}}),Je=new S({props:{anchor:"datasets.DatasetBuilder.download_and_prepare.example-3",$$slots:{default:[ru]},$$scope:{ctx:k}}}),Mt=new T({props:{name:"get_all_exported_dataset_infos",anchor:"datasets.DatasetBuilder.get_all_exported_dataset_infos",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L419"}}),Qe=new S({props:{anchor:"datasets.DatasetBuilder.get_all_exported_dataset_infos.example",$$slots:{default:[nu]},$$scope:{ctx:k}}}),Vt=new T({props:{name:"get_exported_dataset_info",anchor:"datasets.DatasetBuilder.get_exported_dataset_info",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L434"}}),Ze=new S({props:{anchor:"datasets.DatasetBuilder.get_exported_dataset_info.example",$$slots:{default:[du]},$$scope:{ctx:k}}}),Ut=new T({props:{name:"get_imported_module_dir",anchor:"datasets.DatasetBuilder.get_imported_module_dir",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L617"}}),Ft=new T({props:{name:"class datasets.GeneratorBasedBuilder",anchor:"datasets.GeneratorBasedBuilder",parameters:[{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"config_name",val:": typing.Optional[str] = None"},{name:"hash",val:": typing.Optional[str] = None"},{name:"base_path",val:": typing.Optional[str] = None"},{name:"info",val:": typing.Optional[datasets.info.DatasetInfo] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"use_auth_token",val:": typing.Union[bool, str, NoneType] = None"},{name:"repo_id",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, list, dict, datasets.data_files.DataFilesDict, NoneType] = None"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"storage_options",val:": typing.Optional[dict] = None"},{name:"writer_batch_size",val:": typing.Optional[int] = None"},{name:"name",val:" = 'deprecated'"},{name:"**config_kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L1396"}}),Ht=new T({props:{name:"class datasets.BeamBasedBuilder",anchor:"datasets.BeamBasedBuilder",parameters:[{name:"*args",val:""},{name:"beam_runner",val:" = None"},{name:"beam_options",val:" = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L1907"}}),Gt=new T({props:{name:"class datasets.ArrowBasedBuilder",anchor:"datasets.ArrowBasedBuilder",parameters:[{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"config_name",val:": typing.Optional[str] = None"},{name:"hash",val:": typing.Optional[str] = None"},{name:"base_path",val:": typing.Optional[str] = None"},{name:"info",val:": typing.Optional[datasets.info.DatasetInfo] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"use_auth_token",val:": typing.Union[bool, str, NoneType] = None"},{name:"repo_id",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, list, dict, datasets.data_files.DataFilesDict, NoneType] = None"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"storage_options",val:": typing.Optional[dict] = None"},{name:"writer_batch_size",val:": typing.Optional[int] = None"},{name:"name",val:" = 'deprecated'"},{name:"**config_kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L1663"}}),Kt=new T({props:{name:"class datasets.BuilderConfig",anchor:"datasets.BuilderConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"datasets.BuilderConfig.name",description:"<strong>name</strong> (<code>str</code>, defaults to <code>default</code>) &#x2014;",name:"name"},{anchor:"datasets.BuilderConfig.version",description:"<strong>version</strong> (<code>Version</code> or <code>str</code>, <em>optional</em>) &#x2014;",name:"version"},{anchor:"datasets.BuilderConfig.data_dir",description:"<strong>data_dir</strong> (<code>str</code>, <em>optional</em>) &#x2014;",name:"data_dir"},{anchor:"datasets.BuilderConfig.data_files",description:`<strong>data_files</strong> (<code>str</code> or <code>Sequence</code> or <code>Mapping</code>, <em>optional</em>) &#x2014;
Path(s) to source data file(s).`,name:"data_files"},{anchor:"datasets.BuilderConfig.description",description:"<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;",name:"description"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L100"}}),Xt=new T({props:{name:"create_config_id",anchor:"datasets.BuilderConfig.create_config_id",parameters:[{name:"config_kwargs",val:": dict"},{name:"custom_features",val:": typing.Optional[datasets.features.features.Features] = None"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/builder.py#L139"}}),Yt=new qs({}),Jt=new T({props:{name:"class datasets.DownloadManager",anchor:"datasets.DownloadManager",parameters:[{name:"dataset_name",val:": typing.Optional[str] = None"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"base_path",val:": typing.Optional[str] = None"},{name:"record_checksums",val:" = True"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_manager.py#L254"}}),Qt=new T({props:{name:"download",anchor:"datasets.DownloadManager.download",parameters:[{name:"url_or_urls",val:""}],parametersDescription:[{anchor:"datasets.DownloadManager.download.url_or_urls",description:`<strong>url_or_urls</strong> (<code>str</code> or <code>list</code> or <code>dict</code>) &#x2014;
URL or <code>list</code> or <code>dict</code> of URLs to download. Each URL is a <code>str</code>.`,name:"url_or_urls"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_manager.py#L400",returnDescription:`
<p>The downloaded paths matching the given input <code>url_or_urls</code>.</p>
`,returnType:`
<p><code>str</code> or <code>list</code> or <code>dict</code></p>
`}}),st=new S({props:{anchor:"datasets.DownloadManager.download.example",$$slots:{default:[lu]},$$scope:{ctx:k}}}),ea=new T({props:{name:"download_and_extract",anchor:"datasets.DownloadManager.download_and_extract",parameters:[{name:"url_or_urls",val:""}],parametersDescription:[{anchor:"datasets.DownloadManager.download_and_extract.url_or_urls",description:`<strong>url_or_urls</strong> (<code>str</code> or <code>list</code> or <code>dict</code>) &#x2014;
URL or <code>list</code> or <code>dict</code> of URLs to download and extract. Each URL is a <code>str</code>.`,name:"url_or_urls"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_manager.py#L548",returnDescription:`
<p><code>str</code>, extracted paths of given URL(s).</p>
`,returnType:`
<p>extracted_path(s)</p>
`}}),ot=new S({props:{anchor:"datasets.DownloadManager.download_and_extract.example",$$slots:{default:[iu]},$$scope:{ctx:k}}}),aa=new T({props:{name:"download_custom",anchor:"datasets.DownloadManager.download_custom",parameters:[{name:"url_or_urls",val:""},{name:"custom_download",val:""}],parametersDescription:[{anchor:"datasets.DownloadManager.download_custom.url_or_urls",description:`<strong>url_or_urls</strong> (<code>str</code> or <code>list</code> or <code>dict</code>) &#x2014;
URL or <code>list</code> or <code>dict</code> of URLs to download and extract. Each URL is a <code>str</code>.`,name:"url_or_urls"},{anchor:"datasets.DownloadManager.download_custom.custom_download",description:`<strong>custom_download</strong> (<code>Callable[src_url, dst_path]</code>) &#x2014;
The source URL and destination path. For example
<code>tf.io.gfile.copy</code>, that lets you download from  Google storage.`,name:"custom_download"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_manager.py#L352",returnDescription:`
<p><code>str</code>, The downloaded paths matching the given input
<code>url_or_urls</code>.</p>
`,returnType:`
<p>downloaded_path(s)</p>
`}}),rt=new S({props:{anchor:"datasets.DownloadManager.download_custom.example",$$slots:{default:[cu]},$$scope:{ctx:k}}}),oa=new T({props:{name:"extract",anchor:"datasets.DownloadManager.extract",parameters:[{name:"path_or_paths",val:""},{name:"num_proc",val:" = 'deprecated'"}],parametersDescription:[{anchor:"datasets.DownloadManager.extract.path_or_paths",description:`<strong>path_or_paths</strong> (path or <code>list</code> or <code>dict</code>) &#x2014;
Path of file to extract. Each path is a <code>str</code>.`,name:"path_or_paths"},{anchor:"datasets.DownloadManager.extract.num_proc",description:`<strong>num_proc</strong> (<code>int</code>) &#x2014;
Use multi-processing if <code>num_proc</code> &gt; 1 and the length of
<code>path_or_paths</code> is larger than <code>num_proc</code>.</p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						<p class="font-medium">Deprecated in 2.6.2</p>
						
<p>Pass <code>DownloadConfig(num_proc=&lt;num_proc&gt;)</code> to the initializer instead.</p>

					</div>`,name:"num_proc"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_manager.py#L499",returnDescription:`
<p><code>str</code>, The extracted paths matching the given input
path_or_paths.</p>
`,returnType:`
<p>extracted_path(s)</p>
`}}),nt=new S({props:{anchor:"datasets.DownloadManager.extract.example",$$slots:{default:[pu]},$$scope:{ctx:k}}}),ra=new T({props:{name:"iter_archive",anchor:"datasets.DownloadManager.iter_archive",parameters:[{name:"path_or_buf",val:": typing.Union[str, _io.BufferedReader]"}],parametersDescription:[{anchor:"datasets.DownloadManager.iter_archive.path_or_buf",description:`<strong>path_or_buf</strong> (<code>str</code> or <code>io.BufferedReader</code>) &#x2014;
Archive path or archive binary file object.`,name:"path_or_buf"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_manager.py#L455",returnType:`
<p><code>tuple[str, io.BufferedReader]</code></p>
`,isYield:!0}}),dt=new S({props:{anchor:"datasets.DownloadManager.iter_archive.example",$$slots:{default:[mu]},$$scope:{ctx:k}}}),na=new T({props:{name:"iter_files",anchor:"datasets.DownloadManager.iter_files",parameters:[{name:"paths",val:": typing.Union[str, typing.List[str]]"}],parametersDescription:[{anchor:"datasets.DownloadManager.iter_files.paths",description:`<strong>paths</strong> (<code>str</code> or <code>list</code> of <code>str</code>) &#x2014;
Root paths.`,name:"paths"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_manager.py#L480",returnType:`
<p><code>str</code></p>
`,isYield:!0}}),lt=new S({props:{anchor:"datasets.DownloadManager.iter_files.example",$$slots:{default:[fu]},$$scope:{ctx:k}}}),da=new T({props:{name:"ship_files_with_pipeline",anchor:"datasets.DownloadManager.ship_files_with_pipeline",parameters:[{name:"downloaded_path_or_paths",val:""},{name:"pipeline",val:""}],parametersDescription:[{anchor:"datasets.DownloadManager.ship_files_with_pipeline.downloaded_path_or_paths",description:`<strong>downloaded_path_or_paths</strong> (<code>str</code> or <code>list[str]</code> or <code>dict[str, str]</code>) &#x2014;
Nested structure containing the
downloaded path(s).`,name:"downloaded_path_or_paths"},{anchor:"datasets.DownloadManager.ship_files_with_pipeline.pipeline",description:`<strong>pipeline</strong> (<code>utils.beam_utils.BeamPipeline</code>) &#x2014;
Apache Beam Pipeline.`,name:"pipeline"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_manager.py#L301",returnDescription:`
<p><code>str</code> or <code>list[str]</code> or <code>dict[str, str]</code></p>
`}}),la=new T({props:{name:"class datasets.StreamingDownloadManager",anchor:"datasets.StreamingDownloadManager",parameters:[{name:"dataset_name",val:": typing.Optional[str] = None"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"base_path",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/streaming_download_manager.py#L968"}}),ia=new T({props:{name:"download",anchor:"datasets.StreamingDownloadManager.download",parameters:[{name:"url_or_urls",val:""}],parametersDescription:[{anchor:"datasets.StreamingDownloadManager.download.url_or_urls",description:`<strong>url_or_urls</strong> (<code>str</code> or <code>list</code> or <code>dict</code>) &#x2014;
URL(s) of files to stream data from. Each url is a <code>str</code>.`,name:"url_or_urls"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/streaming_download_manager.py#L994",returnDescription:`
<p>(<code>str</code> or <code>list</code> or <code>dict</code>), URL(s) to stream data from matching the given input url_or_urls.</p>
`,returnType:`
<p>url(s)</p>
`}}),ct=new S({props:{anchor:"datasets.StreamingDownloadManager.download.example",$$slots:{default:[gu]},$$scope:{ctx:k}}}),pa=new T({props:{name:"download_and_extract",anchor:"datasets.StreamingDownloadManager.download_and_extract",parameters:[{name:"url_or_urls",val:""}],parametersDescription:[{anchor:"datasets.StreamingDownloadManager.download_and_extract.url_or_urls",description:`<strong>url_or_urls</strong> (<code>str</code> or <code>list</code> or <code>dict</code>) &#x2014;
URL(s) to stream from data from. Each url is a <code>str</code>.`,name:"url_or_urls"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/streaming_download_manager.py#L1070",returnDescription:`
<p>(<code>str</code> or <code>list</code> or <code>dict</code>), URL(s) to stream data from matching the given input <code>url_or_urls</code>.</p>
`,returnType:`
<p>url(s)</p>
`}}),pt=new S({props:{anchor:"datasets.StreamingDownloadManager.download_and_extract.example",$$slots:{default:[uu]},$$scope:{ctx:k}}}),ga=new T({props:{name:"extract",anchor:"datasets.StreamingDownloadManager.extract",parameters:[{name:"url_or_urls",val:""}],parametersDescription:[{anchor:"datasets.StreamingDownloadManager.extract.url_or_urls",description:`<strong>url_or_urls</strong> (<code>str</code> or <code>list</code> or <code>dict</code>) &#x2014;
URL(s) of files to stream data from. Each url is a <code>str</code>.`,name:"url_or_urls"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/streaming_download_manager.py#L1021",returnDescription:`
<p>(<code>str</code> or <code>list</code> or <code>dict</code>), URL(s) to stream data from matching the given input <code>url_or_urls</code>.</p>
`,returnType:`
<p>url(s)</p>
`}}),mt=new S({props:{anchor:"datasets.StreamingDownloadManager.extract.example",$$slots:{default:[hu]},$$scope:{ctx:k}}}),ha=new T({props:{name:"iter_archive",anchor:"datasets.StreamingDownloadManager.iter_archive",parameters:[{name:"urlpath_or_buf",val:": typing.Union[str, _io.BufferedReader]"}],parametersDescription:[{anchor:"datasets.StreamingDownloadManager.iter_archive.urlpath_or_buf",description:`<strong>urlpath_or_buf</strong> (<code>str</code> or <code>io.BufferedReader</code>) &#x2014;
Archive path or archive binary file object.`,name:"urlpath_or_buf"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/streaming_download_manager.py#L1090",returnType:`
<p><code>tuple[str, io.BufferedReader]</code></p>
`,isYield:!0}}),ft=new S({props:{anchor:"datasets.StreamingDownloadManager.iter_archive.example",$$slots:{default:[_u]},$$scope:{ctx:k}}}),_a=new T({props:{name:"iter_files",anchor:"datasets.StreamingDownloadManager.iter_files",parameters:[{name:"urlpaths",val:": typing.Union[str, typing.List[str]]"}],parametersDescription:[{anchor:"datasets.StreamingDownloadManager.iter_files.urlpaths",description:`<strong>urlpaths</strong> (<code>str</code> or <code>list</code> of <code>str</code>) &#x2014;
Root paths.`,name:"urlpaths"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/streaming_download_manager.py#L1115",returnType:`
<p>str</p>
`,isYield:!0}}),gt=new S({props:{anchor:"datasets.StreamingDownloadManager.iter_files.example",$$slots:{default:[$u]},$$scope:{ctx:k}}}),$a=new T({props:{name:"class datasets.DownloadConfig",anchor:"datasets.DownloadConfig",parameters:[{name:"cache_dir",val:": typing.Union[str, pathlib.Path, NoneType] = None"},{name:"force_download",val:": bool = False"},{name:"resume_download",val:": bool = False"},{name:"local_files_only",val:": bool = False"},{name:"proxies",val:": typing.Optional[typing.Dict] = None"},{name:"user_agent",val:": typing.Optional[str] = None"},{name:"extract_compressed_file",val:": bool = False"},{name:"force_extract",val:": bool = False"},{name:"delete_extracted",val:": bool = False"},{name:"use_etag",val:": bool = True"},{name:"num_proc",val:": typing.Optional[int] = None"},{name:"max_retries",val:": int = 1"},{name:"use_auth_token",val:": typing.Union[bool, str, NoneType] = None"},{name:"ignore_url_params",val:": bool = False"},{name:"storage_options",val:": typing.Optional[typing.Dict] = None"},{name:"download_desc",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"datasets.DownloadConfig.cache_dir",description:`<strong>cache_dir</strong> (<code>str</code> or <code>Path</code>, <em>optional</em>) &#x2014;
Specify a cache directory to save the file to (overwrite the
default cache dir).`,name:"cache_dir"},{anchor:"datasets.DownloadConfig.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, re-dowload the file even if it&#x2019;s already cached in
the cache dir.`,name:"force_download"},{anchor:"datasets.DownloadConfig.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, resume the download if an incompletely received file is
found.`,name:"resume_download"},{anchor:"datasets.DownloadConfig.proxies",description:"<strong>proxies</strong> (<code>dict</code>, <em>optional</em>) &#x2014;",name:"proxies"},{anchor:"datasets.DownloadConfig.user_agent",description:`<strong>user_agent</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Optional string or dict that will be appended to the user-agent on remote
requests.`,name:"user_agent"},{anchor:"datasets.DownloadConfig.extract_compressed_file",description:`<strong>extract_compressed_file</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code> and the path point to a zip or tar file,
extract the compressed file in a folder along the archive.`,name:"extract_compressed_file"},{anchor:"datasets.DownloadConfig.force_extract",description:`<strong>force_extract</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code> when <code>extract_compressed_file</code> is <code>True</code> and the archive
was already extracted, re-extract the archive and override the folder where it was extracted.`,name:"force_extract"},{anchor:"datasets.DownloadConfig.delete_extracted",description:`<strong>delete_extracted</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to delete (or keep) the extracted files.`,name:"delete_extracted"},{anchor:"datasets.DownloadConfig.use_etag",description:`<strong>use_etag</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use the ETag HTTP response header to validate the cached files.`,name:"use_etag"},{anchor:"datasets.DownloadConfig.num_proc",description:`<strong>num_proc</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The number of processes to launch to download the files in parallel.`,name:"num_proc"},{anchor:"datasets.DownloadConfig.max_retries",description:`<strong>max_retries</strong> (<code>int</code>, default to <code>1</code>) &#x2014;
The number of times to retry an HTTP request if it fails.`,name:"max_retries"},{anchor:"datasets.DownloadConfig.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, <em>optional</em>) &#x2014;
Optional string or boolean to use as Bearer token
for remote files on the Datasets Hub. If <code>True</code>, or not specified, will get token from <code>~/.huggingface</code>.`,name:"use_auth_token"},{anchor:"datasets.DownloadConfig.ignore_url_params",description:`<strong>ignore_url_params</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to strip all query parameters and fragments from
the download URL before using it for caching the file.`,name:"ignore_url_params"},{anchor:"datasets.DownloadConfig.storage_options",description:`<strong>storage_options</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Key/value pairs to be passed on to the dataset file-system backend, if any.`,name:"storage_options"},{anchor:"datasets.DownloadConfig.download_desc",description:`<strong>download_desc</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A description to be displayed alongside with the progress bar while downloading the files.`,name:"download_desc"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_config.py#L8"}}),ba=new T({props:{name:"class datasets.DownloadMode",anchor:"datasets.DownloadMode",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/download/download_manager.py#L76"}}),xa=new qs({}),Ea=new T({props:{name:"class datasets.VerificationMode",anchor:"datasets.VerificationMode",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/utils/info_utils.py#L13"}}),Na=new qs({}),Ca=new T({props:{name:"class datasets.SplitGenerator",anchor:"datasets.SplitGenerator",parameters:[{name:"name",val:": str"},{name:"gen_kwargs",val:": typing.Dict = <factory>"}],parametersDescription:[{anchor:"datasets.SplitGenerator.name",description:`<strong>name</strong> (<code>str</code>) &#x2014;
Name of the <code>Split</code> for which the generator will
create the examples.`,name:"name"},{anchor:"datasets.SplitGenerator.*gen_kwargs",description:`*<strong>*gen_kwargs</strong> (additional keyword arguments) &#x2014;
Keyword arguments to forward to the <code>DatasetBuilder._generate_examples</code> method
of the builder.`,name:"*gen_kwargs"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/splits.py#L602"}}),_t=new S({props:{anchor:"datasets.SplitGenerator.example",$$slots:{default:[bu]},$$scope:{ctx:k}}}),Pa=new T({props:{name:"class datasets.Split",anchor:"datasets.Split",parameters:[{name:"name",val:""}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/splits.py#L405"}}),$t=new S({props:{anchor:"datasets.Split.example",$$slots:{default:[vu]},$$scope:{ctx:k}}}),Aa=new T({props:{name:"class datasets.NamedSplit",anchor:"datasets.NamedSplit",parameters:[{name:"name",val:""}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/splits.py#L313"}}),bt=new S({props:{anchor:"datasets.NamedSplit.example",$$slots:{default:[wu]},$$scope:{ctx:k}}}),vt=new S({props:{anchor:"datasets.NamedSplit.example-2",$$slots:{default:[xu]},$$scope:{ctx:k}}}),wt=new S({props:{anchor:"datasets.NamedSplit.example-3",$$slots:{default:[Eu]},$$scope:{ctx:k}}}),xt=new S({props:{anchor:"datasets.NamedSplit.example-4",$$slots:{default:[yu]},$$scope:{ctx:k}}}),La=new T({props:{name:"class datasets.NamedSplitAll",anchor:"datasets.NamedSplitAll",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/splits.py#L390"}}),qa=new T({props:{name:"class datasets.ReadInstruction",anchor:"datasets.ReadInstruction",parameters:[{name:"split_name",val:""},{name:"rounding",val:" = None"},{name:"from_",val:" = None"},{name:"to",val:" = None"},{name:"unit",val:" = None"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/arrow_reader.py#L484"}}),Et=new S({props:{anchor:"datasets.ReadInstruction.example",$$slots:{default:[Du]},$$scope:{ctx:k}}}),Ma=new T({props:{name:"from_spec",anchor:"datasets.ReadInstruction.from_spec",parameters:[{name:"spec",val:""}],parametersDescription:[{anchor:"datasets.ReadInstruction.from_spec.spec",description:`<strong>spec</strong> (<code>str</code>) &#x2014;
Split(s) + optional slice(s) to read + optional rounding
if percents are used as the slicing unit. A slice can be specified,
using absolute numbers (<code>int</code>) or percentages (<code>int</code>).`,name:"spec"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/arrow_reader.py#L564",returnDescription:`
<p>ReadInstruction instance.</p>
`}}),yt=new S({props:{anchor:"datasets.ReadInstruction.from_spec.example",$$slots:{default:[ku]},$$scope:{ctx:k}}}),za=new T({props:{name:"to_absolute",anchor:"datasets.ReadInstruction.to_absolute",parameters:[{name:"name2len",val:""}],parametersDescription:[{anchor:"datasets.ReadInstruction.to_absolute.name2len",description:`<strong>name2len</strong> (<code>dict</code>) &#x2014;
Associating split names to number of examples.`,name:"name2len"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/arrow_reader.py#L636",returnDescription:`
<p>list of _AbsoluteInstruction instances (corresponds to the + in spec).</p>
`}}),Ua=new qs({}),Fa=new T({props:{name:"class datasets.Version",anchor:"datasets.Version",parameters:[{name:"version_str",val:": str"},{name:"description",val:": typing.Optional[str] = None"},{name:"major",val:": typing.Union[str, int, NoneType] = None"},{name:"minor",val:": typing.Union[str, int, NoneType] = None"},{name:"patch",val:": typing.Union[str, int, NoneType] = None"}],parametersDescription:[{anchor:"datasets.Version.version_str",description:`<strong>version_str</strong> (<code>str</code>) &#x2014;
The dataset version.`,name:"version_str"},{anchor:"datasets.Version.description",description:`<strong>description</strong> (<code>str</code>) &#x2014;
A description of what is new in this version.`,name:"description"},{anchor:"datasets.Version.major",description:"<strong>major</strong> (<code>str</code>) &#x2014;",name:"major"},{anchor:"datasets.Version.minor",description:"<strong>minor</strong> (<code>str</code>) &#x2014;",name:"minor"},{anchor:"datasets.Version.patch",description:"<strong>patch</strong> (<code>str</code>) &#x2014;",name:"patch"}],source:"https://github.com/huggingface/datasets/blob/2.11.0/src/datasets/utils/version.py#L30"}}),kt=new S({props:{anchor:"datasets.Version.example",$$slots:{default:[Tu]},$$scope:{ctx:k}}}),{c(){c=o("meta"),h=p(),g=o("h1"),d=o("a"),u=o("span"),b(t.$$.fragment),f=p(),ie=o("span"),O=l("Builder classes"),K=p(),Y=o("h2"),Ge=o("a"),Ms=o("span"),b(Rt.$$.fragment),dd=p(),Vs=o("span"),ld=l("Builders"),an=p(),ce=o("p"),id=l("\u{1F917} Datasets relies on two main classes during the dataset building process: "),Xa=o("a"),cd=l("DatasetBuilder"),pd=l(" and "),Ya=o("a"),md=l("BuilderConfig"),fd=l("."),sn=p(),B=o("div"),b(At.$$.fragment),gd=p(),zs=o("p"),ud=l("Abstract base class for all datasets."),hd=p(),Ja=o("p"),Us=o("code"),_d=l("DatasetBuilder"),$d=l(" has 3 key methods:"),bd=p(),Se=o("ul"),Qa=o("li"),Fs=o("code"),vd=l("DatasetBuilder.info"),wd=l(`: Documents the dataset, including feature
names, types, shapes, version, splits, citation, etc.`),xd=p(),Za=o("li"),es=o("a"),Ed=l("DatasetBuilder.download_and_prepare()"),yd=l(`: Downloads the source data
and writes it to disk.`),Dd=p(),Ke=o("li"),ts=o("a"),kd=l("DatasetBuilder.as_dataset()"),Td=l(": Generates a "),as=o("a"),Sd=l("Dataset"),jd=l("."),Id=p(),se=o("p"),Bd=l("Some "),Hs=o("code"),Nd=l("DatasetBuilder"),Cd=l(`s expose multiple variants of the
dataset by defining a `),ss=o("a"),Pd=l("BuilderConfig"),Od=l(` subclass and accepting a
config object (or name) on construction. Configurable datasets expose a
pre-defined set of configurations in `),Gs=o("code"),Rd=l("DatasetBuilder.builder_configs()"),Ad=l("."),Ld=p(),pe=o("div"),b(Lt.$$.fragment),qd=p(),Ks=o("p"),Md=l("Return a Dataset for the specified split."),Vd=p(),b(We.$$.fragment),zd=p(),L=o("div"),b(qt.$$.fragment),Ud=p(),Ws=o("p"),Fd=l("Downloads and prepares dataset for reading."),Hd=p(),Xs=o("p"),Gd=l("Example:"),Kd=p(),b(Xe.$$.fragment),Wd=p(),b(Ye.$$.fragment),Xd=p(),b(Je.$$.fragment),Yd=p(),me=o("div"),b(Mt.$$.fragment),Jd=p(),Ys=o("p"),Qd=l("Empty dict if doesn\u2019t exist"),Zd=p(),b(Qe.$$.fragment),el=p(),fe=o("div"),b(Vt.$$.fragment),tl=p(),zt=o("p"),al=l("Empty "),Js=o("code"),sl=l("DatasetInfo"),ol=l(" if doesn\u2019t exist"),rl=p(),b(Ze.$$.fragment),nl=p(),et=o("div"),b(Ut.$$.fragment),dl=p(),Qs=o("p"),ll=l("Return the path of the module of this class or subclass."),on=p(),oe=o("div"),b(Ft.$$.fragment),il=p(),Zs=o("p"),cl=l("Base class for datasets with data generation based on dict generators."),pl=p(),ge=o("p"),eo=o("code"),ml=l("GeneratorBasedBuilder"),fl=l(` is a convenience class that abstracts away much
of the data writing and reading of `),to=o("code"),gl=l("DatasetBuilder"),ul=l(`. It expects subclasses to
implement generators of feature dictionaries across the dataset splits
(`),ao=o("code"),hl=l("_split_generators"),_l=l("). See the method docstrings for details."),rn=p(),je=o("div"),b(Ht.$$.fragment),$l=p(),so=o("p"),bl=l("Beam-based Builder."),nn=p(),Ie=o("div"),b(Gt.$$.fragment),vl=p(),oo=o("p"),wl=l("Base class for datasets with data generation based on Arrow loading functions (CSV/JSON/Parquet)."),dn=p(),W=o("div"),b(Kt.$$.fragment),xl=p(),Wt=o("p"),El=l("Base class for "),ro=o("code"),yl=l("DatasetBuilder"),Dl=l(" data configuration."),kl=p(),tt=o("p"),no=o("code"),Tl=l("DatasetBuilder"),Sl=l(` subclasses with data configuration options should subclass
`),lo=o("code"),jl=l("BuilderConfig"),Il=l(" and add their own properties."),Bl=p(),J=o("div"),b(Xt.$$.fragment),Nl=p(),io=o("p"),Cl=l(`The config id is used to build the cache directory.
By default it is equal to the config name.
However the name of a config is not sufficient to have a unique identifier for the dataset being generated
since it doesn\u2019t take into account:`),Pl=p(),Be=o("ul"),co=o("li"),Ol=l("the config kwargs that can be used to overwrite attributes"),Rl=p(),po=o("li"),Al=l("the custom features used to write the dataset"),Ll=p(),mo=o("li"),ql=l("the data_files for json/text/csv/pandas datasets"),Ml=p(),fo=o("p"),Vl=l("Therefore the config id is just the config name with an optional suffix based on these."),ln=p(),Ne=o("h2"),at=o("a"),go=o("span"),b(Yt.$$.fragment),zl=p(),uo=o("span"),Ul=l("Download"),cn=p(),C=o("div"),b(Jt.$$.fragment),Fl=p(),Q=o("div"),b(Qt.$$.fragment),Hl=p(),ho=o("p"),Gl=l("Download given URL(s)."),Kl=p(),Zt=o("p"),Wl=l("By default, only one process is used for download. Pass customized "),_o=o("code"),Xl=l("download_config.num_proc"),Yl=l(" to change this behavior."),Jl=p(),b(st.$$.fragment),Ql=p(),ue=o("div"),b(ea.$$.fragment),Zl=p(),ta=o("p"),ei=l("Download and extract given "),$o=o("code"),ti=l("url_or_urls"),ai=l("."),si=p(),b(ot.$$.fragment),oi=p(),he=o("div"),b(aa.$$.fragment),ri=p(),sa=o("p"),ni=l("Download given urls(s) by calling "),bo=o("code"),di=l("custom_download"),li=l("."),ii=p(),b(rt.$$.fragment),ci=p(),_e=o("div"),b(oa.$$.fragment),pi=p(),vo=o("p"),mi=l("Extract given path(s)."),fi=p(),b(nt.$$.fragment),gi=p(),$e=o("div"),b(ra.$$.fragment),ui=p(),wo=o("p"),hi=l("Iterate over files within an archive."),_i=p(),b(dt.$$.fragment),$i=p(),be=o("div"),b(na.$$.fragment),bi=p(),xo=o("p"),vi=l("Iterate over file paths."),wi=p(),b(lt.$$.fragment),xi=p(),it=o("div"),b(da.$$.fragment),Ei=p(),Eo=o("p"),yi=l("Ship the files using Beam FileSystems to the pipeline temp dir."),pn=p(),R=o("div"),b(la.$$.fragment),Di=p(),V=o("p"),ki=l(`Download manager that uses the \u201D::\u201D separator to navigate through (possibly remote) compressed archives.
Contrary to the regular `),yo=o("code"),Ti=l("DownloadManager"),Si=l(", the "),Do=o("code"),ji=l("download"),Ii=l(" and "),ko=o("code"),Bi=l("extract"),Ni=l(` methods don\u2019t actually download nor extract
data, but they rather return the path or url that could be opened using the `),To=o("code"),Ci=l("xopen"),Pi=l(` function which extends the
built-in `),So=o("code"),Oi=l("open"),Ri=l(" function to stream data from remote files."),Ai=p(),ve=o("div"),b(ia.$$.fragment),Li=p(),ca=o("p"),qi=l(`Normalize URL(s) of files to stream data from.
This is the lazy version of `),jo=o("code"),Mi=l("DownloadManager.download"),Vi=l(" for streaming."),zi=p(),b(ct.$$.fragment),Ui=p(),Z=o("div"),b(pa.$$.fragment),Fi=p(),ma=o("p"),Hi=l("Prepare given "),Io=o("code"),Gi=l("url_or_urls"),Ki=l(" for streaming (add extraction protocol)."),Wi=p(),fa=o("p"),Xi=l("This is the lazy version of "),Bo=o("code"),Yi=l("DownloadManager.download_and_extract"),Ji=l(" for streaming."),Qi=p(),b(pt.$$.fragment),Zi=p(),ee=o("div"),b(ga.$$.fragment),ec=p(),No=o("p"),tc=l("Add extraction protocol for given url(s) for streaming."),ac=p(),ua=o("p"),sc=l("This is the lazy version of "),Co=o("code"),oc=l("DownloadManager.extract"),rc=l(" for streaming."),nc=p(),b(mt.$$.fragment),dc=p(),we=o("div"),b(ha.$$.fragment),lc=p(),Po=o("p"),ic=l("Iterate over files within an archive."),cc=p(),b(ft.$$.fragment),pc=p(),xe=o("div"),b(_a.$$.fragment),mc=p(),Oo=o("p"),fc=l("Iterate over files."),gc=p(),b(gt.$$.fragment),mn=p(),Ce=o("div"),b($a.$$.fragment),uc=p(),Ro=o("p"),hc=l("Configuration for our cached path manager."),fn=p(),z=o("div"),b(ba.$$.fragment),_c=p(),os=o("p"),Ao=o("code"),$c=l("Enum"),bc=l(" for how to treat pre-existing downloads and data."),vc=p(),va=o("p"),wc=l("The default mode is "),Lo=o("code"),xc=l("REUSE_DATASET_IF_EXISTS"),Ec=l(`, which will reuse both
raw downloads and the prepared dataset if they exist.`),yc=p(),qo=o("p"),Dc=l("The generations modes:"),kc=p(),wa=o("table"),Mo=o("thead"),Pe=o("tr"),gn=o("th"),Tc=p(),Vo=o("th"),Sc=l("Downloads"),jc=p(),zo=o("th"),Ic=l("Dataset"),Bc=p(),Oe=o("tbody"),Re=o("tr"),rs=o("td"),Uo=o("code"),Nc=l("REUSE_DATASET_IF_EXISTS"),Cc=l(" (default)"),Pc=p(),Fo=o("td"),Oc=l("Reuse"),Rc=p(),Ho=o("td"),Ac=l("Reuse"),Lc=p(),Ae=o("tr"),Go=o("td"),Ko=o("code"),qc=l("REUSE_CACHE_IF_EXISTS"),Mc=p(),Wo=o("td"),Vc=l("Reuse"),zc=p(),Xo=o("td"),Uc=l("Fresh"),Fc=p(),Le=o("tr"),Yo=o("td"),Jo=o("code"),Hc=l("FORCE_REDOWNLOAD"),Gc=p(),Qo=o("td"),Kc=l("Fresh"),Wc=p(),Zo=o("td"),Xc=l("Fresh"),un=p(),qe=o("h2"),ut=o("a"),er=o("span"),b(xa.$$.fragment),Yc=p(),tr=o("span"),Jc=l("Verification"),hn=p(),U=o("div"),b(Ea.$$.fragment),Qc=p(),ns=o("p"),ar=o("code"),Zc=l("Enum"),ep=l(" that specifies which verification checks to run."),tp=p(),ya=o("p"),ap=l("The default mode is "),sr=o("code"),sp=l("BASIC_CHECKS"),op=l(`, which will perform only rudimentary checks to avoid slowdowns
when generating/downloading a dataset for the first time.`),rp=p(),or=o("p"),np=l("The verification modes:"),dp=p(),Da=o("table"),rr=o("thead"),ka=o("tr"),_n=o("th"),lp=p(),nr=o("th"),ip=l("Verification checks"),cp=p(),re=o("tbody"),Ta=o("tr"),dr=o("td"),lr=o("code"),pp=l("ALL_CHECKS"),mp=p(),ir=o("td"),fp=l("Split checks, uniqueness of the keys yielded in case of the GeneratorBuilder"),gp=p(),Sa=o("tr"),$n=o("td"),up=p(),cr=o("td"),hp=l("and the validity (number of files, checksums, etc.) of downloaded files"),_p=p(),ja=o("tr"),ds=o("td"),pr=o("code"),$p=l("BASIC_CHECKS"),bp=l(" (default)"),vp=p(),Ia=o("td"),wp=l("Same as "),mr=o("code"),xp=l("ALL_CHECKS"),Ep=l(" but without checking downloaded files"),yp=p(),Ba=o("tr"),fr=o("td"),gr=o("code"),Dp=l("NO_CHECKS"),kp=p(),ur=o("td"),Tp=l("None"),bn=p(),Me=o("h2"),ht=o("a"),hr=o("span"),b(Na.$$.fragment),Sp=p(),_r=o("span"),jp=l("Splits"),vn=p(),X=o("div"),b(Ca.$$.fragment),Ip=p(),$r=o("p"),Bp=l("Defines the split information for the generator."),Np=p(),Ve=o("p"),Cp=l(`This should be used as returned value of
`),br=o("code"),Pp=l("GeneratorBasedBuilder._split_generators"),Op=l(`.
See `),vr=o("code"),Rp=l("GeneratorBasedBuilder._split_generators"),Ap=l(` for more info and example
of usage.`),Lp=p(),b(_t.$$.fragment),wn=p(),A=o("div"),b(Pa.$$.fragment),qp=p(),ls=o("p"),wr=o("code"),Mp=l("Enum"),Vp=l(" for dataset splits."),zp=p(),xr=o("p"),Up=l(`Datasets are typically split into different subsets to be used at various
stages of training and evaluation.`),Fp=p(),ne=o("ul"),is=o("li"),Er=o("code"),Hp=l("TRAIN"),Gp=l(": the training data."),Kp=p(),cs=o("li"),yr=o("code"),Wp=l("VALIDATION"),Xp=l(`: the validation data. If present, this is typically used as
evaluation data while iterating on a model (e.g. changing hyperparameters,
model architecture, etc.).`),Yp=p(),ps=o("li"),Dr=o("code"),Jp=l("TEST"),Qp=l(`: the testing data. This is the data to report metrics on. Typically
you do not want to use this during model iteration as you may overfit to it.`),Zp=p(),ms=o("li"),kr=o("code"),em=l("ALL"),tm=l(": the union of all defined dataset splits."),am=p(),Oa=o("p"),sm=l("All splits, including compositions inherit from "),Tr=o("code"),om=l("datasets.SplitBase"),rm=l("."),nm=p(),Ra=o("p"),dm=l("See the "),fs=o("a"),lm=l("guide"),im=l(" on splits for more information."),cm=p(),b($t.$$.fragment),xn=p(),P=o("div"),b(Aa.$$.fragment),pm=p(),Sr=o("p"),mm=l("Descriptor corresponding to a named split (train, test, \u2026)."),fm=p(),jr=o("p"),gm=l("Example:"),um=p(),b(bt.$$.fragment),hm=p(),Ir=o("p"),_m=l(`The resulting split will correspond to 25% of the train split merged with
100% of the test split.`),$m=p(),b(vt.$$.fragment),bm=p(),b(wt.$$.fragment),vm=p(),b(xt.$$.fragment),En=p(),ze=o("div"),b(La.$$.fragment),wm=p(),Br=o("p"),xm=l("Split corresponding to the union of all defined dataset splits."),yn=p(),F=o("div"),b(qa.$$.fragment),Em=p(),Nr=o("p"),ym=l("Reading instruction for a dataset."),Dm=p(),b(Et.$$.fragment),km=p(),Ee=o("div"),b(Ma.$$.fragment),Tm=p(),Va=o("p"),Sm=l("Creates a "),Cr=o("code"),jm=l("ReadInstruction"),Im=l(" instance out of a string spec."),Bm=p(),b(yt.$$.fragment),Nm=p(),ye=o("div"),b(za.$$.fragment),Cm=p(),Pr=o("p"),Pm=l("Translate instruction into a list of absolute instructions."),Om=p(),Or=o("p"),Rm=l("Those absolute instructions are then to be added together."),Dn=p(),Ue=o("h2"),Dt=o("a"),Rr=o("span"),b(Ua.$$.fragment),Am=p(),Ar=o("span"),Lm=l("Version"),kn=p(),de=o("div"),b(Fa.$$.fragment),qm=p(),Ha=o("p"),Mm=l("Dataset version "),Lr=o("code"),Vm=l("MAJOR.MINOR.PATCH"),zm=l("."),Um=p(),b(kt.$$.fragment),this.h()},l(s){const _=eu('[data-svelte="svelte-1phssyn"]',document.head);c=r(_,"META",{name:!0,content:!0}),_.forEach(a),h=m(s),g=r(s,"H1",{class:!0});var Ga=n(g);d=r(Ga,"A",{id:!0,class:!0,href:!0});var qr=n(d);u=r(qr,"SPAN",{});var Mr=n(u);v(t.$$.fragment,Mr),Mr.forEach(a),qr.forEach(a),f=m(Ga),ie=r(Ga,"SPAN",{});var Vr=n(ie);O=i(Vr,"Builder classes"),Vr.forEach(a),Ga.forEach(a),K=m(s),Y=r(s,"H2",{class:!0});var Ka=n(Y);Ge=r(Ka,"A",{id:!0,class:!0,href:!0});var zr=n(Ge);Ms=r(zr,"SPAN",{});var Ur=n(Ms);v(Rt.$$.fragment,Ur),Ur.forEach(a),zr.forEach(a),dd=m(Ka),Vs=r(Ka,"SPAN",{});var Fr=n(Vs);ld=i(Fr,"Builders"),Fr.forEach(a),Ka.forEach(a),an=m(s),ce=r(s,"P",{});var Fe=n(ce);id=i(Fe,"\u{1F917} Datasets relies on two main classes during the dataset building process: "),Xa=r(Fe,"A",{href:!0});var Hr=n(Xa);cd=i(Hr,"DatasetBuilder"),Hr.forEach(a),pd=i(Fe," and "),Ya=r(Fe,"A",{href:!0});var Gr=n(Ya);md=i(Gr,"BuilderConfig"),Gr.forEach(a),fd=i(Fe,"."),Fe.forEach(a),sn=m(s),B=r(s,"DIV",{class:!0});var N=n(B);v(At.$$.fragment,N),gd=m(N),zs=r(N,"P",{});var Kr=n(zs);ud=i(Kr,"Abstract base class for all datasets."),Kr.forEach(a),hd=m(N),Ja=r(N,"P",{});var gs=n(Ja);Us=r(gs,"CODE",{});var Wr=n(Us);_d=i(Wr,"DatasetBuilder"),Wr.forEach(a),$d=i(gs," has 3 key methods:"),gs.forEach(a),bd=m(N),Se=r(N,"UL",{});var He=n(Se);Qa=r(He,"LI",{});var us=n(Qa);Fs=r(us,"CODE",{});var Xr=n(Fs);vd=i(Xr,"DatasetBuilder.info"),Xr.forEach(a),wd=i(us,`: Documents the dataset, including feature
names, types, shapes, version, splits, citation, etc.`),us.forEach(a),xd=m(He),Za=r(He,"LI",{});var hs=n(Za);es=r(hs,"A",{href:!0});var Yr=n(es);Ed=i(Yr,"DatasetBuilder.download_and_prepare()"),Yr.forEach(a),yd=i(hs,`: Downloads the source data
and writes it to disk.`),hs.forEach(a),Dd=m(He),Ke=r(He,"LI",{});var Tt=n(Ke);ts=r(Tt,"A",{href:!0});var Jr=n(ts);kd=i(Jr,"DatasetBuilder.as_dataset()"),Jr.forEach(a),Td=i(Tt,": Generates a "),as=r(Tt,"A",{href:!0});var Qr=n(as);Sd=i(Qr,"Dataset"),Qr.forEach(a),jd=i(Tt,"."),Tt.forEach(a),He.forEach(a),Id=m(N),se=r(N,"P",{});var le=n(se);Bd=i(le,"Some "),Hs=r(le,"CODE",{});var Zr=n(Hs);Nd=i(Zr,"DatasetBuilder"),Zr.forEach(a),Cd=i(le,`s expose multiple variants of the
dataset by defining a `),ss=r(le,"A",{href:!0});var en=n(ss);Pd=i(en,"BuilderConfig"),en.forEach(a),Od=i(le,` subclass and accepting a
config object (or name) on construction. Configurable datasets expose a
pre-defined set of configurations in `),Gs=r(le,"CODE",{});var Zm=n(Gs);Rd=i(Zm,"DatasetBuilder.builder_configs()"),Zm.forEach(a),Ad=i(le,"."),le.forEach(a),Ld=m(N),pe=r(N,"DIV",{class:!0});var _s=n(pe);v(Lt.$$.fragment,_s),qd=m(_s),Ks=r(_s,"P",{});var ef=n(Ks);Md=i(ef,"Return a Dataset for the specified split."),ef.forEach(a),Vd=m(_s),v(We.$$.fragment,_s),_s.forEach(a),zd=m(N),L=r(N,"DIV",{class:!0});var te=n(L);v(qt.$$.fragment,te),Ud=m(te),Ws=r(te,"P",{});var tf=n(Ws);Fd=i(tf,"Downloads and prepares dataset for reading."),tf.forEach(a),Hd=m(te),Xs=r(te,"P",{});var af=n(Xs);Gd=i(af,"Example:"),af.forEach(a),Kd=m(te),v(Xe.$$.fragment,te),Wd=m(te),v(Ye.$$.fragment,te),Xd=m(te),v(Je.$$.fragment,te),te.forEach(a),Yd=m(N),me=r(N,"DIV",{class:!0});var $s=n(me);v(Mt.$$.fragment,$s),Jd=m($s),Ys=r($s,"P",{});var sf=n(Ys);Qd=i(sf,"Empty dict if doesn\u2019t exist"),sf.forEach(a),Zd=m($s),v(Qe.$$.fragment,$s),$s.forEach(a),el=m(N),fe=r(N,"DIV",{class:!0});var bs=n(fe);v(Vt.$$.fragment,bs),tl=m(bs),zt=r(bs,"P",{});var Sn=n(zt);al=i(Sn,"Empty "),Js=r(Sn,"CODE",{});var of=n(Js);sl=i(of,"DatasetInfo"),of.forEach(a),ol=i(Sn," if doesn\u2019t exist"),Sn.forEach(a),rl=m(bs),v(Ze.$$.fragment,bs),bs.forEach(a),nl=m(N),et=r(N,"DIV",{class:!0});var jn=n(et);v(Ut.$$.fragment,jn),dl=m(jn),Qs=r(jn,"P",{});var rf=n(Qs);ll=i(rf,"Return the path of the module of this class or subclass."),rf.forEach(a),jn.forEach(a),N.forEach(a),on=m(s),oe=r(s,"DIV",{class:!0});var vs=n(oe);v(Ft.$$.fragment,vs),il=m(vs),Zs=r(vs,"P",{});var nf=n(Zs);cl=i(nf,"Base class for datasets with data generation based on dict generators."),nf.forEach(a),pl=m(vs),ge=r(vs,"P",{});var Wa=n(ge);eo=r(Wa,"CODE",{});var df=n(eo);ml=i(df,"GeneratorBasedBuilder"),df.forEach(a),fl=i(Wa,` is a convenience class that abstracts away much
of the data writing and reading of `),to=r(Wa,"CODE",{});var lf=n(to);gl=i(lf,"DatasetBuilder"),lf.forEach(a),ul=i(Wa,`. It expects subclasses to
implement generators of feature dictionaries across the dataset splits
(`),ao=r(Wa,"CODE",{});var cf=n(ao);hl=i(cf,"_split_generators"),cf.forEach(a),_l=i(Wa,"). See the method docstrings for details."),Wa.forEach(a),vs.forEach(a),rn=m(s),je=r(s,"DIV",{class:!0});var In=n(je);v(Ht.$$.fragment,In),$l=m(In),so=r(In,"P",{});var pf=n(so);bl=i(pf,"Beam-based Builder."),pf.forEach(a),In.forEach(a),nn=m(s),Ie=r(s,"DIV",{class:!0});var Bn=n(Ie);v(Gt.$$.fragment,Bn),vl=m(Bn),oo=r(Bn,"P",{});var mf=n(oo);wl=i(mf,"Base class for datasets with data generation based on Arrow loading functions (CSV/JSON/Parquet)."),mf.forEach(a),Bn.forEach(a),dn=m(s),W=r(s,"DIV",{class:!0});var St=n(W);v(Kt.$$.fragment,St),xl=m(St),Wt=r(St,"P",{});var Nn=n(Wt);El=i(Nn,"Base class for "),ro=r(Nn,"CODE",{});var ff=n(ro);yl=i(ff,"DatasetBuilder"),ff.forEach(a),Dl=i(Nn," data configuration."),Nn.forEach(a),kl=m(St),tt=r(St,"P",{});var tn=n(tt);no=r(tn,"CODE",{});var gf=n(no);Tl=i(gf,"DatasetBuilder"),gf.forEach(a),Sl=i(tn,` subclasses with data configuration options should subclass
`),lo=r(tn,"CODE",{});var uf=n(lo);jl=i(uf,"BuilderConfig"),uf.forEach(a),Il=i(tn," and add their own properties."),tn.forEach(a),Bl=m(St),J=r(St,"DIV",{class:!0});var jt=n(J);v(Xt.$$.fragment,jt),Nl=m(jt),io=r(jt,"P",{});var hf=n(io);Cl=i(hf,`The config id is used to build the cache directory.
By default it is equal to the config name.
However the name of a config is not sufficient to have a unique identifier for the dataset being generated
since it doesn\u2019t take into account:`),hf.forEach(a),Pl=m(jt),Be=r(jt,"UL",{});var ws=n(Be);co=r(ws,"LI",{});var _f=n(co);Ol=i(_f,"the config kwargs that can be used to overwrite attributes"),_f.forEach(a),Rl=m(ws),po=r(ws,"LI",{});var $f=n(po);Al=i($f,"the custom features used to write the dataset"),$f.forEach(a),Ll=m(ws),mo=r(ws,"LI",{});var bf=n(mo);ql=i(bf,"the data_files for json/text/csv/pandas datasets"),bf.forEach(a),ws.forEach(a),Ml=m(jt),fo=r(jt,"P",{});var vf=n(fo);Vl=i(vf,"Therefore the config id is just the config name with an optional suffix based on these."),vf.forEach(a),jt.forEach(a),St.forEach(a),ln=m(s),Ne=r(s,"H2",{class:!0});var Cn=n(Ne);at=r(Cn,"A",{id:!0,class:!0,href:!0});var wf=n(at);go=r(wf,"SPAN",{});var xf=n(go);v(Yt.$$.fragment,xf),xf.forEach(a),wf.forEach(a),zl=m(Cn),uo=r(Cn,"SPAN",{});var Ef=n(uo);Ul=i(Ef,"Download"),Ef.forEach(a),Cn.forEach(a),cn=m(s),C=r(s,"DIV",{class:!0});var q=n(C);v(Jt.$$.fragment,q),Fl=m(q),Q=r(q,"DIV",{class:!0});var It=n(Q);v(Qt.$$.fragment,It),Hl=m(It),ho=r(It,"P",{});var yf=n(ho);Gl=i(yf,"Download given URL(s)."),yf.forEach(a),Kl=m(It),Zt=r(It,"P",{});var Pn=n(Zt);Wl=i(Pn,"By default, only one process is used for download. Pass customized "),_o=r(Pn,"CODE",{});var Df=n(_o);Xl=i(Df,"download_config.num_proc"),Df.forEach(a),Yl=i(Pn," to change this behavior."),Pn.forEach(a),Jl=m(It),v(st.$$.fragment,It),It.forEach(a),Ql=m(q),ue=r(q,"DIV",{class:!0});var xs=n(ue);v(ea.$$.fragment,xs),Zl=m(xs),ta=r(xs,"P",{});var On=n(ta);ei=i(On,"Download and extract given "),$o=r(On,"CODE",{});var kf=n($o);ti=i(kf,"url_or_urls"),kf.forEach(a),ai=i(On,"."),On.forEach(a),si=m(xs),v(ot.$$.fragment,xs),xs.forEach(a),oi=m(q),he=r(q,"DIV",{class:!0});var Es=n(he);v(aa.$$.fragment,Es),ri=m(Es),sa=r(Es,"P",{});var Rn=n(sa);ni=i(Rn,"Download given urls(s) by calling "),bo=r(Rn,"CODE",{});var Tf=n(bo);di=i(Tf,"custom_download"),Tf.forEach(a),li=i(Rn,"."),Rn.forEach(a),ii=m(Es),v(rt.$$.fragment,Es),Es.forEach(a),ci=m(q),_e=r(q,"DIV",{class:!0});var ys=n(_e);v(oa.$$.fragment,ys),pi=m(ys),vo=r(ys,"P",{});var Sf=n(vo);mi=i(Sf,"Extract given path(s)."),Sf.forEach(a),fi=m(ys),v(nt.$$.fragment,ys),ys.forEach(a),gi=m(q),$e=r(q,"DIV",{class:!0});var Ds=n($e);v(ra.$$.fragment,Ds),ui=m(Ds),wo=r(Ds,"P",{});var jf=n(wo);hi=i(jf,"Iterate over files within an archive."),jf.forEach(a),_i=m(Ds),v(dt.$$.fragment,Ds),Ds.forEach(a),$i=m(q),be=r(q,"DIV",{class:!0});var ks=n(be);v(na.$$.fragment,ks),bi=m(ks),xo=r(ks,"P",{});var If=n(xo);vi=i(If,"Iterate over file paths."),If.forEach(a),wi=m(ks),v(lt.$$.fragment,ks),ks.forEach(a),xi=m(q),it=r(q,"DIV",{class:!0});var An=n(it);v(da.$$.fragment,An),Ei=m(An),Eo=r(An,"P",{});var Bf=n(Eo);yi=i(Bf,"Ship the files using Beam FileSystems to the pipeline temp dir."),Bf.forEach(a),An.forEach(a),q.forEach(a),pn=m(s),R=r(s,"DIV",{class:!0});var H=n(R);v(la.$$.fragment,H),Di=m(H),V=r(H,"P",{});var ae=n(V);ki=i(ae,`Download manager that uses the \u201D::\u201D separator to navigate through (possibly remote) compressed archives.
Contrary to the regular `),yo=r(ae,"CODE",{});var Nf=n(yo);Ti=i(Nf,"DownloadManager"),Nf.forEach(a),Si=i(ae,", the "),Do=r(ae,"CODE",{});var Cf=n(Do);ji=i(Cf,"download"),Cf.forEach(a),Ii=i(ae," and "),ko=r(ae,"CODE",{});var Pf=n(ko);Bi=i(Pf,"extract"),Pf.forEach(a),Ni=i(ae,` methods don\u2019t actually download nor extract
data, but they rather return the path or url that could be opened using the `),To=r(ae,"CODE",{});var Of=n(To);Ci=i(Of,"xopen"),Of.forEach(a),Pi=i(ae,` function which extends the
built-in `),So=r(ae,"CODE",{});var Rf=n(So);Oi=i(Rf,"open"),Rf.forEach(a),Ri=i(ae," function to stream data from remote files."),ae.forEach(a),Ai=m(H),ve=r(H,"DIV",{class:!0});var Ts=n(ve);v(ia.$$.fragment,Ts),Li=m(Ts),ca=r(Ts,"P",{});var Ln=n(ca);qi=i(Ln,`Normalize URL(s) of files to stream data from.
This is the lazy version of `),jo=r(Ln,"CODE",{});var Af=n(jo);Mi=i(Af,"DownloadManager.download"),Af.forEach(a),Vi=i(Ln," for streaming."),Ln.forEach(a),zi=m(Ts),v(ct.$$.fragment,Ts),Ts.forEach(a),Ui=m(H),Z=r(H,"DIV",{class:!0});var Bt=n(Z);v(pa.$$.fragment,Bt),Fi=m(Bt),ma=r(Bt,"P",{});var qn=n(ma);Hi=i(qn,"Prepare given "),Io=r(qn,"CODE",{});var Lf=n(Io);Gi=i(Lf,"url_or_urls"),Lf.forEach(a),Ki=i(qn," for streaming (add extraction protocol)."),qn.forEach(a),Wi=m(Bt),fa=r(Bt,"P",{});var Mn=n(fa);Xi=i(Mn,"This is the lazy version of "),Bo=r(Mn,"CODE",{});var qf=n(Bo);Yi=i(qf,"DownloadManager.download_and_extract"),qf.forEach(a),Ji=i(Mn," for streaming."),Mn.forEach(a),Qi=m(Bt),v(pt.$$.fragment,Bt),Bt.forEach(a),Zi=m(H),ee=r(H,"DIV",{class:!0});var Nt=n(ee);v(ga.$$.fragment,Nt),ec=m(Nt),No=r(Nt,"P",{});var Mf=n(No);tc=i(Mf,"Add extraction protocol for given url(s) for streaming."),Mf.forEach(a),ac=m(Nt),ua=r(Nt,"P",{});var Vn=n(ua);sc=i(Vn,"This is the lazy version of "),Co=r(Vn,"CODE",{});var Vf=n(Co);oc=i(Vf,"DownloadManager.extract"),Vf.forEach(a),rc=i(Vn," for streaming."),Vn.forEach(a),nc=m(Nt),v(mt.$$.fragment,Nt),Nt.forEach(a),dc=m(H),we=r(H,"DIV",{class:!0});var Ss=n(we);v(ha.$$.fragment,Ss),lc=m(Ss),Po=r(Ss,"P",{});var zf=n(Po);ic=i(zf,"Iterate over files within an archive."),zf.forEach(a),cc=m(Ss),v(ft.$$.fragment,Ss),Ss.forEach(a),pc=m(H),xe=r(H,"DIV",{class:!0});var js=n(xe);v(_a.$$.fragment,js),mc=m(js),Oo=r(js,"P",{});var Uf=n(Oo);fc=i(Uf,"Iterate over files."),Uf.forEach(a),gc=m(js),v(gt.$$.fragment,js),js.forEach(a),H.forEach(a),mn=m(s),Ce=r(s,"DIV",{class:!0});var zn=n(Ce);v($a.$$.fragment,zn),uc=m(zn),Ro=r(zn,"P",{});var Ff=n(Ro);hc=i(Ff,"Configuration for our cached path manager."),Ff.forEach(a),zn.forEach(a),fn=m(s),z=r(s,"DIV",{class:!0});var De=n(z);v(ba.$$.fragment,De),_c=m(De),os=r(De,"P",{});var Fm=n(os);Ao=r(Fm,"CODE",{});var Hf=n(Ao);$c=i(Hf,"Enum"),Hf.forEach(a),bc=i(Fm," for how to treat pre-existing downloads and data."),Fm.forEach(a),vc=m(De),va=r(De,"P",{});var Un=n(va);wc=i(Un,"The default mode is "),Lo=r(Un,"CODE",{});var Gf=n(Lo);xc=i(Gf,"REUSE_DATASET_IF_EXISTS"),Gf.forEach(a),Ec=i(Un,`, which will reuse both
raw downloads and the prepared dataset if they exist.`),Un.forEach(a),yc=m(De),qo=r(De,"P",{});var Kf=n(qo);Dc=i(Kf,"The generations modes:"),Kf.forEach(a),kc=m(De),wa=r(De,"TABLE",{});var Fn=n(wa);Mo=r(Fn,"THEAD",{});var Wf=n(Mo);Pe=r(Wf,"TR",{});var Is=n(Pe);gn=r(Is,"TH",{}),n(gn).forEach(a),Tc=m(Is),Vo=r(Is,"TH",{});var Xf=n(Vo);Sc=i(Xf,"Downloads"),Xf.forEach(a),jc=m(Is),zo=r(Is,"TH",{});var Yf=n(zo);Ic=i(Yf,"Dataset"),Yf.forEach(a),Is.forEach(a),Wf.forEach(a),Bc=m(Fn),Oe=r(Fn,"TBODY",{});var Bs=n(Oe);Re=r(Bs,"TR",{});var Ns=n(Re);rs=r(Ns,"TD",{});var Hm=n(rs);Uo=r(Hm,"CODE",{});var Jf=n(Uo);Nc=i(Jf,"REUSE_DATASET_IF_EXISTS"),Jf.forEach(a),Cc=i(Hm," (default)"),Hm.forEach(a),Pc=m(Ns),Fo=r(Ns,"TD",{});var Qf=n(Fo);Oc=i(Qf,"Reuse"),Qf.forEach(a),Rc=m(Ns),Ho=r(Ns,"TD",{});var Zf=n(Ho);Ac=i(Zf,"Reuse"),Zf.forEach(a),Ns.forEach(a),Lc=m(Bs),Ae=r(Bs,"TR",{});var Cs=n(Ae);Go=r(Cs,"TD",{});var eg=n(Go);Ko=r(eg,"CODE",{});var tg=n(Ko);qc=i(tg,"REUSE_CACHE_IF_EXISTS"),tg.forEach(a),eg.forEach(a),Mc=m(Cs),Wo=r(Cs,"TD",{});var ag=n(Wo);Vc=i(ag,"Reuse"),ag.forEach(a),zc=m(Cs),Xo=r(Cs,"TD",{});var sg=n(Xo);Uc=i(sg,"Fresh"),sg.forEach(a),Cs.forEach(a),Fc=m(Bs),Le=r(Bs,"TR",{});var Ps=n(Le);Yo=r(Ps,"TD",{});var og=n(Yo);Jo=r(og,"CODE",{});var rg=n(Jo);Hc=i(rg,"FORCE_REDOWNLOAD"),rg.forEach(a),og.forEach(a),Gc=m(Ps),Qo=r(Ps,"TD",{});var ng=n(Qo);Kc=i(ng,"Fresh"),ng.forEach(a),Wc=m(Ps),Zo=r(Ps,"TD",{});var dg=n(Zo);Xc=i(dg,"Fresh"),dg.forEach(a),Ps.forEach(a),Bs.forEach(a),Fn.forEach(a),De.forEach(a),un=m(s),qe=r(s,"H2",{class:!0});var Hn=n(qe);ut=r(Hn,"A",{id:!0,class:!0,href:!0});var lg=n(ut);er=r(lg,"SPAN",{});var ig=n(er);v(xa.$$.fragment,ig),ig.forEach(a),lg.forEach(a),Yc=m(Hn),tr=r(Hn,"SPAN",{});var cg=n(tr);Jc=i(cg,"Verification"),cg.forEach(a),Hn.forEach(a),hn=m(s),U=r(s,"DIV",{class:!0});var ke=n(U);v(Ea.$$.fragment,ke),Qc=m(ke),ns=r(ke,"P",{});var Gm=n(ns);ar=r(Gm,"CODE",{});var pg=n(ar);Zc=i(pg,"Enum"),pg.forEach(a),ep=i(Gm," that specifies which verification checks to run."),Gm.forEach(a),tp=m(ke),ya=r(ke,"P",{});var Gn=n(ya);ap=i(Gn,"The default mode is "),sr=r(Gn,"CODE",{});var mg=n(sr);sp=i(mg,"BASIC_CHECKS"),mg.forEach(a),op=i(Gn,`, which will perform only rudimentary checks to avoid slowdowns
when generating/downloading a dataset for the first time.`),Gn.forEach(a),rp=m(ke),or=r(ke,"P",{});var fg=n(or);np=i(fg,"The verification modes:"),fg.forEach(a),dp=m(ke),Da=r(ke,"TABLE",{});var Kn=n(Da);rr=r(Kn,"THEAD",{});var gg=n(rr);ka=r(gg,"TR",{});var Wn=n(ka);_n=r(Wn,"TH",{}),n(_n).forEach(a),lp=m(Wn),nr=r(Wn,"TH",{});var ug=n(nr);ip=i(ug,"Verification checks"),ug.forEach(a),Wn.forEach(a),gg.forEach(a),cp=m(Kn),re=r(Kn,"TBODY",{});var Ct=n(re);Ta=r(Ct,"TR",{});var Xn=n(Ta);dr=r(Xn,"TD",{});var hg=n(dr);lr=r(hg,"CODE",{});var _g=n(lr);pp=i(_g,"ALL_CHECKS"),_g.forEach(a),hg.forEach(a),mp=m(Xn),ir=r(Xn,"TD",{});var $g=n(ir);fp=i($g,"Split checks, uniqueness of the keys yielded in case of the GeneratorBuilder"),$g.forEach(a),Xn.forEach(a),gp=m(Ct),Sa=r(Ct,"TR",{});var Yn=n(Sa);$n=r(Yn,"TD",{}),n($n).forEach(a),up=m(Yn),cr=r(Yn,"TD",{});var bg=n(cr);hp=i(bg,"and the validity (number of files, checksums, etc.) of downloaded files"),bg.forEach(a),Yn.forEach(a),_p=m(Ct),ja=r(Ct,"TR",{});var Jn=n(ja);ds=r(Jn,"TD",{});var Km=n(ds);pr=r(Km,"CODE",{});var vg=n(pr);$p=i(vg,"BASIC_CHECKS"),vg.forEach(a),bp=i(Km," (default)"),Km.forEach(a),vp=m(Jn),Ia=r(Jn,"TD",{});var Qn=n(Ia);wp=i(Qn,"Same as "),mr=r(Qn,"CODE",{});var wg=n(mr);xp=i(wg,"ALL_CHECKS"),wg.forEach(a),Ep=i(Qn," but without checking downloaded files"),Qn.forEach(a),Jn.forEach(a),yp=m(Ct),Ba=r(Ct,"TR",{});var Zn=n(Ba);fr=r(Zn,"TD",{});var xg=n(fr);gr=r(xg,"CODE",{});var Eg=n(gr);Dp=i(Eg,"NO_CHECKS"),Eg.forEach(a),xg.forEach(a),kp=m(Zn),ur=r(Zn,"TD",{});var yg=n(ur);Tp=i(yg,"None"),yg.forEach(a),Zn.forEach(a),Ct.forEach(a),Kn.forEach(a),ke.forEach(a),bn=m(s),Me=r(s,"H2",{class:!0});var ed=n(Me);ht=r(ed,"A",{id:!0,class:!0,href:!0});var Dg=n(ht);hr=r(Dg,"SPAN",{});var kg=n(hr);v(Na.$$.fragment,kg),kg.forEach(a),Dg.forEach(a),Sp=m(ed),_r=r(ed,"SPAN",{});var Tg=n(_r);jp=i(Tg,"Splits"),Tg.forEach(a),ed.forEach(a),vn=m(s),X=r(s,"DIV",{class:!0});var Pt=n(X);v(Ca.$$.fragment,Pt),Ip=m(Pt),$r=r(Pt,"P",{});var Sg=n($r);Bp=i(Sg,"Defines the split information for the generator."),Sg.forEach(a),Np=m(Pt),Ve=r(Pt,"P",{});var Os=n(Ve);Cp=i(Os,`This should be used as returned value of
`),br=r(Os,"CODE",{});var jg=n(br);Pp=i(jg,"GeneratorBasedBuilder._split_generators"),jg.forEach(a),Op=i(Os,`.
See `),vr=r(Os,"CODE",{});var Ig=n(vr);Rp=i(Ig,"GeneratorBasedBuilder._split_generators"),Ig.forEach(a),Ap=i(Os,` for more info and example
of usage.`),Os.forEach(a),Lp=m(Pt),v(_t.$$.fragment,Pt),Pt.forEach(a),wn=m(s),A=r(s,"DIV",{class:!0});var G=n(A);v(Pa.$$.fragment,G),qp=m(G),ls=r(G,"P",{});var Wm=n(ls);wr=r(Wm,"CODE",{});var Bg=n(wr);Mp=i(Bg,"Enum"),Bg.forEach(a),Vp=i(Wm," for dataset splits."),Wm.forEach(a),zp=m(G),xr=r(G,"P",{});var Ng=n(xr);Up=i(Ng,`Datasets are typically split into different subsets to be used at various
stages of training and evaluation.`),Ng.forEach(a),Fp=m(G),ne=r(G,"UL",{});var Ot=n(ne);is=r(Ot,"LI",{});var Xm=n(is);Er=r(Xm,"CODE",{});var Cg=n(Er);Hp=i(Cg,"TRAIN"),Cg.forEach(a),Gp=i(Xm,": the training data."),Xm.forEach(a),Kp=m(Ot),cs=r(Ot,"LI",{});var Ym=n(cs);yr=r(Ym,"CODE",{});var Pg=n(yr);Wp=i(Pg,"VALIDATION"),Pg.forEach(a),Xp=i(Ym,`: the validation data. If present, this is typically used as
evaluation data while iterating on a model (e.g. changing hyperparameters,
model architecture, etc.).`),Ym.forEach(a),Yp=m(Ot),ps=r(Ot,"LI",{});var Jm=n(ps);Dr=r(Jm,"CODE",{});var Og=n(Dr);Jp=i(Og,"TEST"),Og.forEach(a),Qp=i(Jm,`: the testing data. This is the data to report metrics on. Typically
you do not want to use this during model iteration as you may overfit to it.`),Jm.forEach(a),Zp=m(Ot),ms=r(Ot,"LI",{});var Qm=n(ms);kr=r(Qm,"CODE",{});var Rg=n(kr);em=i(Rg,"ALL"),Rg.forEach(a),tm=i(Qm,": the union of all defined dataset splits."),Qm.forEach(a),Ot.forEach(a),am=m(G),Oa=r(G,"P",{});var td=n(Oa);sm=i(td,"All splits, including compositions inherit from "),Tr=r(td,"CODE",{});var Ag=n(Tr);om=i(Ag,"datasets.SplitBase"),Ag.forEach(a),rm=i(td,"."),td.forEach(a),nm=m(G),Ra=r(G,"P",{});var ad=n(Ra);dm=i(ad,"See the "),fs=r(ad,"A",{href:!0});var Lg=n(fs);lm=i(Lg,"guide"),Lg.forEach(a),im=i(ad," on splits for more information."),ad.forEach(a),cm=m(G),v($t.$$.fragment,G),G.forEach(a),xn=m(s),P=r(s,"DIV",{class:!0});var M=n(P);v(Aa.$$.fragment,M),pm=m(M),Sr=r(M,"P",{});var qg=n(Sr);mm=i(qg,"Descriptor corresponding to a named split (train, test, \u2026)."),qg.forEach(a),fm=m(M),jr=r(M,"P",{});var Mg=n(jr);gm=i(Mg,"Example:"),Mg.forEach(a),um=m(M),v(bt.$$.fragment,M),hm=m(M),Ir=r(M,"P",{});var Vg=n(Ir);_m=i(Vg,`The resulting split will correspond to 25% of the train split merged with
100% of the test split.`),Vg.forEach(a),$m=m(M),v(vt.$$.fragment,M),bm=m(M),v(wt.$$.fragment,M),vm=m(M),v(xt.$$.fragment,M),M.forEach(a),En=m(s),ze=r(s,"DIV",{class:!0});var sd=n(ze);v(La.$$.fragment,sd),wm=m(sd),Br=r(sd,"P",{});var zg=n(Br);xm=i(zg,"Split corresponding to the union of all defined dataset splits."),zg.forEach(a),sd.forEach(a),yn=m(s),F=r(s,"DIV",{class:!0});var Te=n(F);v(qa.$$.fragment,Te),Em=m(Te),Nr=r(Te,"P",{});var Ug=n(Nr);ym=i(Ug,"Reading instruction for a dataset."),Ug.forEach(a),Dm=m(Te),v(Et.$$.fragment,Te),km=m(Te),Ee=r(Te,"DIV",{class:!0});var Rs=n(Ee);v(Ma.$$.fragment,Rs),Tm=m(Rs),Va=r(Rs,"P",{});var od=n(Va);Sm=i(od,"Creates a "),Cr=r(od,"CODE",{});var Fg=n(Cr);jm=i(Fg,"ReadInstruction"),Fg.forEach(a),Im=i(od," instance out of a string spec."),od.forEach(a),Bm=m(Rs),v(yt.$$.fragment,Rs),Rs.forEach(a),Nm=m(Te),ye=r(Te,"DIV",{class:!0});var As=n(ye);v(za.$$.fragment,As),Cm=m(As),Pr=r(As,"P",{});var Hg=n(Pr);Pm=i(Hg,"Translate instruction into a list of absolute instructions."),Hg.forEach(a),Om=m(As),Or=r(As,"P",{});var Gg=n(Or);Rm=i(Gg,"Those absolute instructions are then to be added together."),Gg.forEach(a),As.forEach(a),Te.forEach(a),Dn=m(s),Ue=r(s,"H2",{class:!0});var rd=n(Ue);Dt=r(rd,"A",{id:!0,class:!0,href:!0});var Kg=n(Dt);Rr=r(Kg,"SPAN",{});var Wg=n(Rr);v(Ua.$$.fragment,Wg),Wg.forEach(a),Kg.forEach(a),Am=m(rd),Ar=r(rd,"SPAN",{});var Xg=n(Ar);Lm=i(Xg,"Version"),Xg.forEach(a),rd.forEach(a),kn=m(s),de=r(s,"DIV",{class:!0});var Ls=n(de);v(Fa.$$.fragment,Ls),qm=m(Ls),Ha=r(Ls,"P",{});var nd=n(Ha);Mm=i(nd,"Dataset version "),Lr=r(nd,"CODE",{});var Yg=n(Lr);Vm=i(Yg,"MAJOR.MINOR.PATCH"),Yg.forEach(a),zm=i(nd,"."),nd.forEach(a),Um=m(Ls),v(kt.$$.fragment,Ls),Ls.forEach(a),this.h()},h(){D(c,"name","hf:doc:metadata"),D(c,"content",JSON.stringify(ju)),D(d,"id","builder-classes"),D(d,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),D(d,"href","#builder-classes"),D(g,"class","relative group"),D(Ge,"id","datasets.DatasetBuilder"),D(Ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),D(Ge,"href","#datasets.DatasetBuilder"),D(Y,"class","relative group"),D(Xa,"href","/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.DatasetBuilder"),D(Ya,"href","/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.BuilderConfig"),D(es,"href","/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.DatasetBuilder.download_and_prepare"),D(ts,"href","/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.DatasetBuilder.as_dataset"),D(as,"href","/docs/datasets/v2.11.0/en/package_reference/main_classes#datasets.Dataset"),D(ss,"href","/docs/datasets/v2.11.0/en/package_reference/builder_classes#datasets.BuilderConfig"),D(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(at,"id","datasets.DownloadManager"),D(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),D(at,"href","#datasets.DownloadManager"),D(Ne,"class","relative group"),D(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(ut,"id","datasets.VerificationMode"),D(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),D(ut,"href","#datasets.VerificationMode"),D(qe,"class","relative group"),D(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(ht,"id","datasets.SplitGenerator"),D(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),D(ht,"href","#datasets.SplitGenerator"),D(Me,"class","relative group"),D(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(fs,"href","../load_hub#splits"),D(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(Dt,"id","datasets.Version"),D(Dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),D(Dt,"href","#datasets.Version"),D(Ue,"class","relative group"),D(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(s,_){e(document.head,c),$(s,h,_),$(s,g,_),e(g,d),e(d,u),w(t,u,null),e(g,f),e(g,ie),e(ie,O),$(s,K,_),$(s,Y,_),e(Y,Ge),e(Ge,Ms),w(Rt,Ms,null),e(Y,dd),e(Y,Vs),e(Vs,ld),$(s,an,_),$(s,ce,_),e(ce,id),e(ce,Xa),e(Xa,cd),e(ce,pd),e(ce,Ya),e(Ya,md),e(ce,fd),$(s,sn,_),$(s,B,_),w(At,B,null),e(B,gd),e(B,zs),e(zs,ud),e(B,hd),e(B,Ja),e(Ja,Us),e(Us,_d),e(Ja,$d),e(B,bd),e(B,Se),e(Se,Qa),e(Qa,Fs),e(Fs,vd),e(Qa,wd),e(Se,xd),e(Se,Za),e(Za,es),e(es,Ed),e(Za,yd),e(Se,Dd),e(Se,Ke),e(Ke,ts),e(ts,kd),e(Ke,Td),e(Ke,as),e(as,Sd),e(Ke,jd),e(B,Id),e(B,se),e(se,Bd),e(se,Hs),e(Hs,Nd),e(se,Cd),e(se,ss),e(ss,Pd),e(se,Od),e(se,Gs),e(Gs,Rd),e(se,Ad),e(B,Ld),e(B,pe),w(Lt,pe,null),e(pe,qd),e(pe,Ks),e(Ks,Md),e(pe,Vd),w(We,pe,null),e(B,zd),e(B,L),w(qt,L,null),e(L,Ud),e(L,Ws),e(Ws,Fd),e(L,Hd),e(L,Xs),e(Xs,Gd),e(L,Kd),w(Xe,L,null),e(L,Wd),w(Ye,L,null),e(L,Xd),w(Je,L,null),e(B,Yd),e(B,me),w(Mt,me,null),e(me,Jd),e(me,Ys),e(Ys,Qd),e(me,Zd),w(Qe,me,null),e(B,el),e(B,fe),w(Vt,fe,null),e(fe,tl),e(fe,zt),e(zt,al),e(zt,Js),e(Js,sl),e(zt,ol),e(fe,rl),w(Ze,fe,null),e(B,nl),e(B,et),w(Ut,et,null),e(et,dl),e(et,Qs),e(Qs,ll),$(s,on,_),$(s,oe,_),w(Ft,oe,null),e(oe,il),e(oe,Zs),e(Zs,cl),e(oe,pl),e(oe,ge),e(ge,eo),e(eo,ml),e(ge,fl),e(ge,to),e(to,gl),e(ge,ul),e(ge,ao),e(ao,hl),e(ge,_l),$(s,rn,_),$(s,je,_),w(Ht,je,null),e(je,$l),e(je,so),e(so,bl),$(s,nn,_),$(s,Ie,_),w(Gt,Ie,null),e(Ie,vl),e(Ie,oo),e(oo,wl),$(s,dn,_),$(s,W,_),w(Kt,W,null),e(W,xl),e(W,Wt),e(Wt,El),e(Wt,ro),e(ro,yl),e(Wt,Dl),e(W,kl),e(W,tt),e(tt,no),e(no,Tl),e(tt,Sl),e(tt,lo),e(lo,jl),e(tt,Il),e(W,Bl),e(W,J),w(Xt,J,null),e(J,Nl),e(J,io),e(io,Cl),e(J,Pl),e(J,Be),e(Be,co),e(co,Ol),e(Be,Rl),e(Be,po),e(po,Al),e(Be,Ll),e(Be,mo),e(mo,ql),e(J,Ml),e(J,fo),e(fo,Vl),$(s,ln,_),$(s,Ne,_),e(Ne,at),e(at,go),w(Yt,go,null),e(Ne,zl),e(Ne,uo),e(uo,Ul),$(s,cn,_),$(s,C,_),w(Jt,C,null),e(C,Fl),e(C,Q),w(Qt,Q,null),e(Q,Hl),e(Q,ho),e(ho,Gl),e(Q,Kl),e(Q,Zt),e(Zt,Wl),e(Zt,_o),e(_o,Xl),e(Zt,Yl),e(Q,Jl),w(st,Q,null),e(C,Ql),e(C,ue),w(ea,ue,null),e(ue,Zl),e(ue,ta),e(ta,ei),e(ta,$o),e($o,ti),e(ta,ai),e(ue,si),w(ot,ue,null),e(C,oi),e(C,he),w(aa,he,null),e(he,ri),e(he,sa),e(sa,ni),e(sa,bo),e(bo,di),e(sa,li),e(he,ii),w(rt,he,null),e(C,ci),e(C,_e),w(oa,_e,null),e(_e,pi),e(_e,vo),e(vo,mi),e(_e,fi),w(nt,_e,null),e(C,gi),e(C,$e),w(ra,$e,null),e($e,ui),e($e,wo),e(wo,hi),e($e,_i),w(dt,$e,null),e(C,$i),e(C,be),w(na,be,null),e(be,bi),e(be,xo),e(xo,vi),e(be,wi),w(lt,be,null),e(C,xi),e(C,it),w(da,it,null),e(it,Ei),e(it,Eo),e(Eo,yi),$(s,pn,_),$(s,R,_),w(la,R,null),e(R,Di),e(R,V),e(V,ki),e(V,yo),e(yo,Ti),e(V,Si),e(V,Do),e(Do,ji),e(V,Ii),e(V,ko),e(ko,Bi),e(V,Ni),e(V,To),e(To,Ci),e(V,Pi),e(V,So),e(So,Oi),e(V,Ri),e(R,Ai),e(R,ve),w(ia,ve,null),e(ve,Li),e(ve,ca),e(ca,qi),e(ca,jo),e(jo,Mi),e(ca,Vi),e(ve,zi),w(ct,ve,null),e(R,Ui),e(R,Z),w(pa,Z,null),e(Z,Fi),e(Z,ma),e(ma,Hi),e(ma,Io),e(Io,Gi),e(ma,Ki),e(Z,Wi),e(Z,fa),e(fa,Xi),e(fa,Bo),e(Bo,Yi),e(fa,Ji),e(Z,Qi),w(pt,Z,null),e(R,Zi),e(R,ee),w(ga,ee,null),e(ee,ec),e(ee,No),e(No,tc),e(ee,ac),e(ee,ua),e(ua,sc),e(ua,Co),e(Co,oc),e(ua,rc),e(ee,nc),w(mt,ee,null),e(R,dc),e(R,we),w(ha,we,null),e(we,lc),e(we,Po),e(Po,ic),e(we,cc),w(ft,we,null),e(R,pc),e(R,xe),w(_a,xe,null),e(xe,mc),e(xe,Oo),e(Oo,fc),e(xe,gc),w(gt,xe,null),$(s,mn,_),$(s,Ce,_),w($a,Ce,null),e(Ce,uc),e(Ce,Ro),e(Ro,hc),$(s,fn,_),$(s,z,_),w(ba,z,null),e(z,_c),e(z,os),e(os,Ao),e(Ao,$c),e(os,bc),e(z,vc),e(z,va),e(va,wc),e(va,Lo),e(Lo,xc),e(va,Ec),e(z,yc),e(z,qo),e(qo,Dc),e(z,kc),e(z,wa),e(wa,Mo),e(Mo,Pe),e(Pe,gn),e(Pe,Tc),e(Pe,Vo),e(Vo,Sc),e(Pe,jc),e(Pe,zo),e(zo,Ic),e(wa,Bc),e(wa,Oe),e(Oe,Re),e(Re,rs),e(rs,Uo),e(Uo,Nc),e(rs,Cc),e(Re,Pc),e(Re,Fo),e(Fo,Oc),e(Re,Rc),e(Re,Ho),e(Ho,Ac),e(Oe,Lc),e(Oe,Ae),e(Ae,Go),e(Go,Ko),e(Ko,qc),e(Ae,Mc),e(Ae,Wo),e(Wo,Vc),e(Ae,zc),e(Ae,Xo),e(Xo,Uc),e(Oe,Fc),e(Oe,Le),e(Le,Yo),e(Yo,Jo),e(Jo,Hc),e(Le,Gc),e(Le,Qo),e(Qo,Kc),e(Le,Wc),e(Le,Zo),e(Zo,Xc),$(s,un,_),$(s,qe,_),e(qe,ut),e(ut,er),w(xa,er,null),e(qe,Yc),e(qe,tr),e(tr,Jc),$(s,hn,_),$(s,U,_),w(Ea,U,null),e(U,Qc),e(U,ns),e(ns,ar),e(ar,Zc),e(ns,ep),e(U,tp),e(U,ya),e(ya,ap),e(ya,sr),e(sr,sp),e(ya,op),e(U,rp),e(U,or),e(or,np),e(U,dp),e(U,Da),e(Da,rr),e(rr,ka),e(ka,_n),e(ka,lp),e(ka,nr),e(nr,ip),e(Da,cp),e(Da,re),e(re,Ta),e(Ta,dr),e(dr,lr),e(lr,pp),e(Ta,mp),e(Ta,ir),e(ir,fp),e(re,gp),e(re,Sa),e(Sa,$n),e(Sa,up),e(Sa,cr),e(cr,hp),e(re,_p),e(re,ja),e(ja,ds),e(ds,pr),e(pr,$p),e(ds,bp),e(ja,vp),e(ja,Ia),e(Ia,wp),e(Ia,mr),e(mr,xp),e(Ia,Ep),e(re,yp),e(re,Ba),e(Ba,fr),e(fr,gr),e(gr,Dp),e(Ba,kp),e(Ba,ur),e(ur,Tp),$(s,bn,_),$(s,Me,_),e(Me,ht),e(ht,hr),w(Na,hr,null),e(Me,Sp),e(Me,_r),e(_r,jp),$(s,vn,_),$(s,X,_),w(Ca,X,null),e(X,Ip),e(X,$r),e($r,Bp),e(X,Np),e(X,Ve),e(Ve,Cp),e(Ve,br),e(br,Pp),e(Ve,Op),e(Ve,vr),e(vr,Rp),e(Ve,Ap),e(X,Lp),w(_t,X,null),$(s,wn,_),$(s,A,_),w(Pa,A,null),e(A,qp),e(A,ls),e(ls,wr),e(wr,Mp),e(ls,Vp),e(A,zp),e(A,xr),e(xr,Up),e(A,Fp),e(A,ne),e(ne,is),e(is,Er),e(Er,Hp),e(is,Gp),e(ne,Kp),e(ne,cs),e(cs,yr),e(yr,Wp),e(cs,Xp),e(ne,Yp),e(ne,ps),e(ps,Dr),e(Dr,Jp),e(ps,Qp),e(ne,Zp),e(ne,ms),e(ms,kr),e(kr,em),e(ms,tm),e(A,am),e(A,Oa),e(Oa,sm),e(Oa,Tr),e(Tr,om),e(Oa,rm),e(A,nm),e(A,Ra),e(Ra,dm),e(Ra,fs),e(fs,lm),e(Ra,im),e(A,cm),w($t,A,null),$(s,xn,_),$(s,P,_),w(Aa,P,null),e(P,pm),e(P,Sr),e(Sr,mm),e(P,fm),e(P,jr),e(jr,gm),e(P,um),w(bt,P,null),e(P,hm),e(P,Ir),e(Ir,_m),e(P,$m),w(vt,P,null),e(P,bm),w(wt,P,null),e(P,vm),w(xt,P,null),$(s,En,_),$(s,ze,_),w(La,ze,null),e(ze,wm),e(ze,Br),e(Br,xm),$(s,yn,_),$(s,F,_),w(qa,F,null),e(F,Em),e(F,Nr),e(Nr,ym),e(F,Dm),w(Et,F,null),e(F,km),e(F,Ee),w(Ma,Ee,null),e(Ee,Tm),e(Ee,Va),e(Va,Sm),e(Va,Cr),e(Cr,jm),e(Va,Im),e(Ee,Bm),w(yt,Ee,null),e(F,Nm),e(F,ye),w(za,ye,null),e(ye,Cm),e(ye,Pr),e(Pr,Pm),e(ye,Om),e(ye,Or),e(Or,Rm),$(s,Dn,_),$(s,Ue,_),e(Ue,Dt),e(Dt,Rr),w(Ua,Rr,null),e(Ue,Am),e(Ue,Ar),e(Ar,Lm),$(s,kn,_),$(s,de,_),w(Fa,de,null),e(de,qm),e(de,Ha),e(Ha,Mm),e(Ha,Lr),e(Lr,Vm),e(Ha,zm),e(de,Um),w(kt,de,null),Tn=!0},p(s,[_]){const Ga={};_&2&&(Ga.$$scope={dirty:_,ctx:s}),We.$set(Ga);const qr={};_&2&&(qr.$$scope={dirty:_,ctx:s}),Xe.$set(qr);const Mr={};_&2&&(Mr.$$scope={dirty:_,ctx:s}),Ye.$set(Mr);const Vr={};_&2&&(Vr.$$scope={dirty:_,ctx:s}),Je.$set(Vr);const Ka={};_&2&&(Ka.$$scope={dirty:_,ctx:s}),Qe.$set(Ka);const zr={};_&2&&(zr.$$scope={dirty:_,ctx:s}),Ze.$set(zr);const Ur={};_&2&&(Ur.$$scope={dirty:_,ctx:s}),st.$set(Ur);const Fr={};_&2&&(Fr.$$scope={dirty:_,ctx:s}),ot.$set(Fr);const Fe={};_&2&&(Fe.$$scope={dirty:_,ctx:s}),rt.$set(Fe);const Hr={};_&2&&(Hr.$$scope={dirty:_,ctx:s}),nt.$set(Hr);const Gr={};_&2&&(Gr.$$scope={dirty:_,ctx:s}),dt.$set(Gr);const N={};_&2&&(N.$$scope={dirty:_,ctx:s}),lt.$set(N);const Kr={};_&2&&(Kr.$$scope={dirty:_,ctx:s}),ct.$set(Kr);const gs={};_&2&&(gs.$$scope={dirty:_,ctx:s}),pt.$set(gs);const Wr={};_&2&&(Wr.$$scope={dirty:_,ctx:s}),mt.$set(Wr);const He={};_&2&&(He.$$scope={dirty:_,ctx:s}),ft.$set(He);const us={};_&2&&(us.$$scope={dirty:_,ctx:s}),gt.$set(us);const Xr={};_&2&&(Xr.$$scope={dirty:_,ctx:s}),_t.$set(Xr);const hs={};_&2&&(hs.$$scope={dirty:_,ctx:s}),$t.$set(hs);const Yr={};_&2&&(Yr.$$scope={dirty:_,ctx:s}),bt.$set(Yr);const Tt={};_&2&&(Tt.$$scope={dirty:_,ctx:s}),vt.$set(Tt);const Jr={};_&2&&(Jr.$$scope={dirty:_,ctx:s}),wt.$set(Jr);const Qr={};_&2&&(Qr.$$scope={dirty:_,ctx:s}),xt.$set(Qr);const le={};_&2&&(le.$$scope={dirty:_,ctx:s}),Et.$set(le);const Zr={};_&2&&(Zr.$$scope={dirty:_,ctx:s}),yt.$set(Zr);const en={};_&2&&(en.$$scope={dirty:_,ctx:s}),kt.$set(en)},i(s){Tn||(x(t.$$.fragment,s),x(Rt.$$.fragment,s),x(At.$$.fragment,s),x(Lt.$$.fragment,s),x(We.$$.fragment,s),x(qt.$$.fragment,s),x(Xe.$$.fragment,s),x(Ye.$$.fragment,s),x(Je.$$.fragment,s),x(Mt.$$.fragment,s),x(Qe.$$.fragment,s),x(Vt.$$.fragment,s),x(Ze.$$.fragment,s),x(Ut.$$.fragment,s),x(Ft.$$.fragment,s),x(Ht.$$.fragment,s),x(Gt.$$.fragment,s),x(Kt.$$.fragment,s),x(Xt.$$.fragment,s),x(Yt.$$.fragment,s),x(Jt.$$.fragment,s),x(Qt.$$.fragment,s),x(st.$$.fragment,s),x(ea.$$.fragment,s),x(ot.$$.fragment,s),x(aa.$$.fragment,s),x(rt.$$.fragment,s),x(oa.$$.fragment,s),x(nt.$$.fragment,s),x(ra.$$.fragment,s),x(dt.$$.fragment,s),x(na.$$.fragment,s),x(lt.$$.fragment,s),x(da.$$.fragment,s),x(la.$$.fragment,s),x(ia.$$.fragment,s),x(ct.$$.fragment,s),x(pa.$$.fragment,s),x(pt.$$.fragment,s),x(ga.$$.fragment,s),x(mt.$$.fragment,s),x(ha.$$.fragment,s),x(ft.$$.fragment,s),x(_a.$$.fragment,s),x(gt.$$.fragment,s),x($a.$$.fragment,s),x(ba.$$.fragment,s),x(xa.$$.fragment,s),x(Ea.$$.fragment,s),x(Na.$$.fragment,s),x(Ca.$$.fragment,s),x(_t.$$.fragment,s),x(Pa.$$.fragment,s),x($t.$$.fragment,s),x(Aa.$$.fragment,s),x(bt.$$.fragment,s),x(vt.$$.fragment,s),x(wt.$$.fragment,s),x(xt.$$.fragment,s),x(La.$$.fragment,s),x(qa.$$.fragment,s),x(Et.$$.fragment,s),x(Ma.$$.fragment,s),x(yt.$$.fragment,s),x(za.$$.fragment,s),x(Ua.$$.fragment,s),x(Fa.$$.fragment,s),x(kt.$$.fragment,s),Tn=!0)},o(s){E(t.$$.fragment,s),E(Rt.$$.fragment,s),E(At.$$.fragment,s),E(Lt.$$.fragment,s),E(We.$$.fragment,s),E(qt.$$.fragment,s),E(Xe.$$.fragment,s),E(Ye.$$.fragment,s),E(Je.$$.fragment,s),E(Mt.$$.fragment,s),E(Qe.$$.fragment,s),E(Vt.$$.fragment,s),E(Ze.$$.fragment,s),E(Ut.$$.fragment,s),E(Ft.$$.fragment,s),E(Ht.$$.fragment,s),E(Gt.$$.fragment,s),E(Kt.$$.fragment,s),E(Xt.$$.fragment,s),E(Yt.$$.fragment,s),E(Jt.$$.fragment,s),E(Qt.$$.fragment,s),E(st.$$.fragment,s),E(ea.$$.fragment,s),E(ot.$$.fragment,s),E(aa.$$.fragment,s),E(rt.$$.fragment,s),E(oa.$$.fragment,s),E(nt.$$.fragment,s),E(ra.$$.fragment,s),E(dt.$$.fragment,s),E(na.$$.fragment,s),E(lt.$$.fragment,s),E(da.$$.fragment,s),E(la.$$.fragment,s),E(ia.$$.fragment,s),E(ct.$$.fragment,s),E(pa.$$.fragment,s),E(pt.$$.fragment,s),E(ga.$$.fragment,s),E(mt.$$.fragment,s),E(ha.$$.fragment,s),E(ft.$$.fragment,s),E(_a.$$.fragment,s),E(gt.$$.fragment,s),E($a.$$.fragment,s),E(ba.$$.fragment,s),E(xa.$$.fragment,s),E(Ea.$$.fragment,s),E(Na.$$.fragment,s),E(Ca.$$.fragment,s),E(_t.$$.fragment,s),E(Pa.$$.fragment,s),E($t.$$.fragment,s),E(Aa.$$.fragment,s),E(bt.$$.fragment,s),E(vt.$$.fragment,s),E(wt.$$.fragment,s),E(xt.$$.fragment,s),E(La.$$.fragment,s),E(qa.$$.fragment,s),E(Et.$$.fragment,s),E(Ma.$$.fragment,s),E(yt.$$.fragment,s),E(za.$$.fragment,s),E(Ua.$$.fragment,s),E(Fa.$$.fragment,s),E(kt.$$.fragment,s),Tn=!1},d(s){a(c),s&&a(h),s&&a(g),y(t),s&&a(K),s&&a(Y),y(Rt),s&&a(an),s&&a(ce),s&&a(sn),s&&a(B),y(At),y(Lt),y(We),y(qt),y(Xe),y(Ye),y(Je),y(Mt),y(Qe),y(Vt),y(Ze),y(Ut),s&&a(on),s&&a(oe),y(Ft),s&&a(rn),s&&a(je),y(Ht),s&&a(nn),s&&a(Ie),y(Gt),s&&a(dn),s&&a(W),y(Kt),y(Xt),s&&a(ln),s&&a(Ne),y(Yt),s&&a(cn),s&&a(C),y(Jt),y(Qt),y(st),y(ea),y(ot),y(aa),y(rt),y(oa),y(nt),y(ra),y(dt),y(na),y(lt),y(da),s&&a(pn),s&&a(R),y(la),y(ia),y(ct),y(pa),y(pt),y(ga),y(mt),y(ha),y(ft),y(_a),y(gt),s&&a(mn),s&&a(Ce),y($a),s&&a(fn),s&&a(z),y(ba),s&&a(un),s&&a(qe),y(xa),s&&a(hn),s&&a(U),y(Ea),s&&a(bn),s&&a(Me),y(Na),s&&a(vn),s&&a(X),y(Ca),y(_t),s&&a(wn),s&&a(A),y(Pa),y($t),s&&a(xn),s&&a(P),y(Aa),y(bt),y(vt),y(wt),y(xt),s&&a(En),s&&a(ze),y(La),s&&a(yn),s&&a(F),y(qa),y(Et),y(Ma),y(yt),y(za),s&&a(Dn),s&&a(Ue),y(Ua),s&&a(kn),s&&a(de),y(Fa),y(kt)}}}const ju={local:"builder-classes",sections:[{local:"datasets.DatasetBuilder",title:"Builders"},{local:"datasets.DownloadManager",title:"Download"},{local:"datasets.VerificationMode",title:"Verification"},{local:"datasets.SplitGenerator",title:"Splits"},{local:"datasets.Version",title:"Version"}],title:"Builder classes"};function Iu(k){return tu(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ru extends Jg{constructor(c){super();Qg(this,c,Iu,Su,Zg,{})}}export{Ru as default,ju as metadata};
